(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 14.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     86986,       2245]
NotebookOptionsPosition[     82871,       2171]
NotebookOutlinePosition[     83319,       2189]
CellTagsIndexPosition[     83276,       2186]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Probabilities", " ", "of", " ", "selection", " ", "for", " ", "the", " ", 
    "case", " ", "sR", " ", "is", " ", "played", " ", "and", " ", "for", " ", 
    "the", " ", "case", " ", "sL"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pR", "[", "sR_", "]"}], "=", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", "+", " ", "sR"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pL", "[", "sL_", "]"}], "=", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", "+", " ", "sL"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "We", " ", "compute", " ", "the", " ", "continuation", " ", "values", " ", 
    "for", " ", "strategies", " ", 
    RowBox[{"(", 
     RowBox[{"sL", ",", " ", "sR", ",", " ", "xL", ",", " ", "xR"}], ")"}]}], 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "We", " ", "use", " ", "the", " ", "following", " ", "notation", " ", 
     "for", " ", "the", " ", 
     RowBox[{"policies", ":", " ", 
      RowBox[{"we", " ", "consider", " ", "x_i"}]}]}], ",", " ", 
    RowBox[{
    "the", " ", "\"\<concession\>\"", " ", "of", " ", "an", " ", "agent", " ",
      "i"}], ",", " ", 
    RowBox[{
     RowBox[{"hence", " ", 
      RowBox[{"L", "'"}], "s", " ", "policy", " ", "y_L"}], "=", "  ", 
     RowBox[{
      RowBox[{"0", " ", "+", " ", 
       RowBox[{"x_L", " ", "and", " ", 
        RowBox[{"R", "'"}], "s", " ", "policy", " ", "y_R"}]}], "=", " ", 
      RowBox[{"1", " ", "-", " ", "x_R"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U", "=", 
    RowBox[{"Solve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"wLl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xL", "+", " ", 
            RowBox[{"beta", "*", "wLl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wLr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wLr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xL", "+", " ", 
            RowBox[{"beta", "*", "wLl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wLr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wRl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wRl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xR", "+", " ", 
            RowBox[{"beta", "*", "wRr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wRr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wRl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xR", "+", " ", 
            RowBox[{"beta", "*", "wRr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wPl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"theta", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR", "-", "theta"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wPr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"theta", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR", "-", "theta"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPr"}]}], ")"}]}]}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{
       "wLl", ",", "wLr", ",", " ", "wRl", ",", "wRr", ",", "wPl", ",", 
        "wPr"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"R", "'"}], "s", " ", "continuation", " ", "value", " ", "when", 
    " ", "R", " ", "was", " ", "selected", " ", "last"}], "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"wRr", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", "xR_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wRr", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"L", "'"}], "s", " ", "continuation", " ", "value", " ", "when", 
    " ", "L", " ", "was", " ", "selected", " ", "last"}], "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wLl", "[", 
    RowBox[{
    "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", "xR_"}], 
    "]"}], "=", 
   RowBox[{"FullSimplify", "[", " ", 
    RowBox[{"wLl", "/.", 
     RowBox[{"U", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Principal", "'"}], "s", " ", "continuation", " ", "value", " ", 
    "when", " ", "L", " ", "was", " ", "selected", " ", "last"}], "*)"}], " ", 
  RowBox[{
   RowBox[{
    RowBox[{"wPl", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "theta_", ",", "sL_", ",", "sR_", ",", "xL_", 
      ",", "xR_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wPl", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Principal", "'"}], "s", " ", "continuation", " ", "value", " ", 
    "when", " ", "R", " ", "was", " ", "selected", " ", "last"}], "*)"}], " ", 
  RowBox[{
   RowBox[{
    RowBox[{"wPr", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "theta_", ",", "sL_", ",", "sR_", ",", "xL_", 
      ",", "xR_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wPr", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"Principal", "'"}], "s", " ", "and", " ", 
    RowBox[{"R", "'"}], "s", " ", "punishment"}], "**)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alphaR", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xL", "=", "0"}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", "0"}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sL", "=", 
           RowBox[{"-", "m"}]}], "}"}], ",", " ", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sR", "=", 
             RowBox[{"-", "m"}]}], "}"}], ",", 
           RowBox[{"wRr", "[", 
            RowBox[{
            "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", "xR"}], 
            "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alphaP", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xL", "=", "0"}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", "0"}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sL", "=", 
           RowBox[{"-", "m"}]}], "}"}], ",", " ", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sR", "=", 
             RowBox[{"-", "m"}]}], "}"}], ",", 
           RowBox[{"wPl", "[", 
            RowBox[{
            "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", ",", "xL", 
             ",", "xR"}], "]"}]}], "]"}]}], "]"}]}], "]"}]}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "At", " ", "the", " ", "end", " ", "of", " ", "the", " ", "code", " ", 
    "we", " ", "show", " ", "this", " ", "is", " ", "the", " ", "right", " ", 
    "punishment", " ", "for", " ", "the", " ", "Principal", " ", "in", " ", 
    "the", " ", "region", " ", "we", " ", "are", " ", "interested", " ", "in",
     " ", "here"}], "*)"}]}]}], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
  3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
  3.930805320270191*^9}, {3.930805463829403*^9, 3.930805505679604*^9}, {
  3.930806382500005*^9, 3.930806389975363*^9}, {3.930806947702305*^9, 
  3.93080697607811*^9}, {3.930808164012247*^9, 3.930808187691213*^9}, {
  3.930809543590355*^9, 3.9308095774612026`*^9}, {3.930811544479046*^9, 
  3.930811578007878*^9}, {3.93081332831584*^9, 3.9308133373053017`*^9}, {
  3.9312359890851974`*^9, 3.931236074977089*^9}, {3.9312364484618435`*^9, 
  3.9312364514111767`*^9}, {3.9312370131952057`*^9, 3.931237078482584*^9}, {
  3.9312371162023563`*^9, 
  3.931237118282299*^9}},ExpressionUUID->"8bbf2559-ae24-d44b-a9e0-\
0e3d11bf46e4"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "-", "b", "+", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "b"}], ")"}], " ", "m"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.93080814948249*^9, 3.9308082182376595`*^9, 3.9308084188023186`*^9, 
   3.930808882059442*^9, 3.930808988119919*^9, {3.930809065204977*^9, 
   3.930809080303507*^9}, 3.930809210641725*^9, 3.930809382416559*^9, 
   3.930809442635488*^9, 3.930809560572951*^9, 3.930809694973953*^9, 
   3.930809805406463*^9, 3.9308111518304844`*^9, 3.930811830968355*^9, 
   3.930811992011129*^9, 3.930812081322418*^9, 3.930812253075344*^9, 
   3.930812383580265*^9, 3.930812748325867*^9, 3.93081279992638*^9, 
   3.9308135672427845`*^9, 3.93081387240934*^9, 3.9309925123630257`*^9, 
   3.930993031661579*^9, {3.93110083846319*^9, 3.931100841524629*^9}, 
   3.9312307361785774`*^9, 3.9312365418752594`*^9, 3.931236587175905*^9},
 CellLabel->
  "Out[195]=",ExpressionUUID->"fc1989cd-8203-1c4b-85a1-80414b39b24f"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"m", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"4", " ", "theta"}]}], ")"}]}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.93080814948249*^9, 3.9308082182376595`*^9, 3.9308084188023186`*^9, 
   3.930808882059442*^9, 3.930808988119919*^9, {3.930809065204977*^9, 
   3.930809080303507*^9}, 3.930809210641725*^9, 3.930809382416559*^9, 
   3.930809442635488*^9, 3.930809560572951*^9, 3.930809694973953*^9, 
   3.930809805406463*^9, 3.9308111518304844`*^9, 3.930811830968355*^9, 
   3.930811992011129*^9, 3.930812081322418*^9, 3.930812253075344*^9, 
   3.930812383580265*^9, 3.930812748325867*^9, 3.93081279992638*^9, 
   3.9308135672427845`*^9, 3.93081387240934*^9, 3.9309925123630257`*^9, 
   3.930993031661579*^9, {3.93110083846319*^9, 3.931100841524629*^9}, 
   3.9312307361785774`*^9, 3.9312365418752594`*^9, 3.9312365871915264`*^9},
 CellLabel->
  "Out[196]=",ExpressionUUID->"181d98c8-ea33-bf47-84df-0b0d2818a833"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"Agent", "'"}], "s", " ", "enforcement", " ", "constraints"}], 
   "**)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"enforcementLmax", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", 
       "xR_", ",", "alphaL_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", " ", 
      RowBox[{
       RowBox[{"xL", " ", "+", " ", 
        RowBox[{"beta", "*", 
         RowBox[{"(", 
          RowBox[{"alphaL", " ", "-", " ", "wLl"}], ")"}]}]}], "/.", 
       RowBox[{"U", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"enforcementRmax", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", 
       "xR_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", " ", 
      RowBox[{
       RowBox[{"xR", " ", "+", " ", 
        RowBox[{"beta", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"alphaR", "[", 
            RowBox[{"m", ",", "beta", ",", "b"}], "]"}], " ", "-", " ", 
           "wRr"}], ")"}]}]}], "/.", 
       RowBox[{"U", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
  3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
  3.930805320270191*^9}, {3.930805575869022*^9, 3.930805622210422*^9}, {
  3.930806385819884*^9, 3.9308063869053955`*^9}, {3.930808312253744*^9, 
  3.930808313772142*^9}},
 CellLabel->
  "In[197]:=",ExpressionUUID->"b37ca3c0-de88-3746-8799-df87c3fe54d2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"R", "'"}], " ", "Actions", " ", "in", " ", "the", " ", "Optimal",
     " ", "contract"}], "**)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Optimal", " ", 
    RowBox[{"contract", " ", "--"}], " ", "Solving", " ", 
    RowBox[{"R", "'"}], "s", " ", "enforcement", " ", "constraints"}], "*)"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"enforcementRmaxsubstituted", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "xL_", ",", "xR_"}], "]"}], 
    "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sR", "=", "m"}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sL", "=", " ", 
           RowBox[{"-", "m"}]}], "}"}], ",", " ", 
         RowBox[{"enforcementRmax", "[", 
          RowBox[{
          "m", ",", "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", 
           "xR"}], "]"}]}], "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"solvexR", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"enforcementRmaxsubstituted", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "xL", ",", "xR"}], "]"}], 
        "\[Equal]", "0"}], ",", " ", "xR"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xRmax", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "xL_"}], "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"xR", "/.", 
       RowBox[{"solvexR", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
   3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
   3.930805310559788*^9}, {3.930805457628778*^9, 3.930805457999309*^9}, {
   3.9308055223329353`*^9, 3.930805609524002*^9}, {3.930805938198206*^9, 
   3.930806052383032*^9}, 3.930806092955227*^9, {3.9308063761939335`*^9, 
   3.930806400259508*^9}, 3.930808979208076*^9, 3.930809540152546*^9, {
   3.9312360874750023`*^9, 3.9312360890891438`*^9}},
 CellLabel->
  "In[199]:=",ExpressionUUID->"911073eb-e55e-fc48-a7d7-5580b2c95981"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}], "+", 
   RowBox[{"beta", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "m"}]}], ")"}], " ", "xL"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", "xR"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808989066753*^9, {3.9308090668379993`*^9, 3.930809081003538*^9}, 
   3.930809211293928*^9, 3.930809383018484*^9, 3.930809443319468*^9, 
   3.930809561262247*^9, 3.930809696803011*^9, 3.930809807179065*^9, 
   3.9308111547385674`*^9, 3.930811833360319*^9, 3.9308119929134426`*^9, 
   3.930812082101515*^9, 3.9308122538553047`*^9, 3.9308123843226166`*^9, 
   3.9308127499783688`*^9, 3.9308128007353554`*^9, 3.930813568896534*^9, 
   3.9308138740907764`*^9, 3.930992514333635*^9, 3.930993032286356*^9, 
   3.931100847394903*^9, 3.931231019245865*^9, 3.9312365431468925`*^9, 
   3.931236587794405*^9},
 CellLabel->
  "Out[199]=",ExpressionUUID->"c4cc25f7-6371-2e42-8393-d50808ed707f"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"xR", "\[Rule]", 
    RowBox[{
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m"}], "+", 
     FractionBox[
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], " ", "xL"}], 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.930808989066753*^9, {3.9308090668379993`*^9, 3.930809081003538*^9}, 
   3.930809211293928*^9, 3.930809383018484*^9, 3.930809443319468*^9, 
   3.930809561262247*^9, 3.930809696803011*^9, 3.930809807179065*^9, 
   3.9308111547385674`*^9, 3.930811833360319*^9, 3.9308119929134426`*^9, 
   3.930812082101515*^9, 3.9308122538553047`*^9, 3.9308123843226166`*^9, 
   3.9308127499783688`*^9, 3.9308128007353554`*^9, 3.930813568896534*^9, 
   3.9308138740907764`*^9, 3.930992514333635*^9, 3.930993032286356*^9, 
   3.931100847394903*^9, 3.931231019245865*^9, 3.9312365431468925`*^9, 
   3.931236587794405*^9},
 CellLabel->
  "Out[200]=",ExpressionUUID->"6d78d014-be14-ec45-842a-de7375dfd531"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"*", 
     RowBox[{"L", "'"}], " ", 
     RowBox[{"Punishment", " ", "--"}], " ", 
     RowBox[{"P", "'"}], "s", " ", "continuation", " ", "value", " ", "at", 
     " ", "the", " ", "back"}], "-", "to", "-", 
    RowBox[{"business", " ", "phase"}]}], "**)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Carrot", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", " ", 
         RowBox[{"xRmax", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "xL"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sR", "=", "m"}], "}"}], ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sL", "=", " ", 
             RowBox[{"-", "m"}]}], "}"}], ",", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"theta", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", " ", 
             RowBox[{"wPl", "[", 
              RowBox[{
              "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", ",", "xL",
                ",", "xR"}], "]"}]}]}]}], "]"}]}], "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
   3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
   3.930805310559788*^9}, {3.930805457628778*^9, 3.930805457999309*^9}, {
   3.9308055223329353`*^9, 3.930805609524002*^9}, {3.930805938198206*^9, 
   3.930806052383032*^9}, 3.930806092955227*^9, {3.9308063761939335`*^9, 
   3.930806400259508*^9}, {3.930808979208076*^9, 3.930808991911001*^9}, {
   3.931236106597868*^9, 3.9312361110121727`*^9}},
 CellLabel->
  "In[202]:=",ExpressionUUID->"af8bdccb-6132-7841-be12-1dbbe30ac9c3"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "beta"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m"}]}], ")"}]}],
       "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "theta"}]}], ")"}]}], 
   "-", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "beta", "-", 
         RowBox[{"4", " ", "m"}], "+", 
         RowBox[{"4", " ", "beta", " ", 
          SuperscriptBox["m", "2"]}]}], ")"}]}]}], ")"}], " ", "xL"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "beta", "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808150873789*^9, 3.930808220524343*^9, 3.930808418892048*^9, 
   3.930808882128614*^9, 3.930808989202812*^9, {3.930809067332756*^9, 
   3.93080908104668*^9}, 3.9308092113357162`*^9, 3.930809383070051*^9, 
   3.930809443363718*^9, 3.9308095613328743`*^9, 3.9308096973549175`*^9, 
   3.930809807749632*^9, 3.9308111552423496`*^9, 3.930811833448021*^9, 
   3.930811993035791*^9, 3.930812082147764*^9, 3.930812253909887*^9, 
   3.930812384362365*^9, 3.9308127504636*^9, 3.930812800771511*^9, 
   3.930813568944681*^9, 3.930813874140772*^9, 3.930992514987479*^9, 
   3.930993032351914*^9, 3.931100889148037*^9, 3.9312307633874855`*^9, 
   3.931236543705839*^9, 3.9312365879427967`*^9},
 CellLabel->
  "Out[202]=",ExpressionUUID->"babc998d-847e-9e4f-9a12-cee4be1fde85"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"L", "'"}], " ", 
    RowBox[{"Punishment", " ", "--"}], " ", 
    RowBox[{"P", "'"}], "s", " ", "continuation", " ", "value", " ", "at", 
    " ", "punishment", " ", "phase"}], "**)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Stickprevious", "[", 
     RowBox[{
     "m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_", ",", "xR_", 
      ",", " ", "Stick_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sR", "=", "m"}], "}"}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
         RowBox[{"Carrot", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], 
          "]"}]}], "+", " ", 
        RowBox[{
         RowBox[{"pR", "[", "sR", "]"}], "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", 
            RowBox[{"(", 
             RowBox[{"1", "-", "xR", "-", "theta"}], ")"}]}], "+", " ", 
           RowBox[{"beta", "*", "Stick"}]}], ")"}]}]}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"sticksolve1", "=", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"Stick", "==", " ", 
       RowBox[{"Stickprevious", "[", 
        RowBox[{
        "m", ",", "beta", ",", "b", ",", "theta", ",", "xL", ",", "xR", ",", 
         " ", "Stick"}], "]"}]}], ",", "Stick"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Stick", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_", ",", "xR_"}], 
      "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"Stick", "/.", 
       RowBox[{"sticksolve1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Now", " ", "we", " ", "can", " ", "solve", " ", "for", " ", 
     RowBox[{"R", "'"}], "s", " ", "concession", " ", "in", " ", "the", " ", 
     "punishment", " ", "phase", " ", "of", " ", 
     RowBox[{"L", "'"}], "s", " ", "Punishment"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"sticksolve2", "=", " ", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Stick", "[", 
         RowBox[{
         "m", ",", "beta", ",", "b", ",", "theta", ",", "xL", ",", "xR"}], 
         "]"}], "\[Equal]", " ", 
        RowBox[{"alphaP", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], ",", 
       " ", "xR"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xRstick", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_"}], 
      "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"xR", "/.", 
       RowBox[{"sticksolve2", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.930806033898973*^9, 3.930806034674706*^9}, {
   3.930806072112844*^9, 3.930806138435824*^9}, {3.9308061968019905`*^9, 
   3.930806228053842*^9}, {3.930806258829244*^9, 3.930806372114647*^9}, {
   3.930806765054659*^9, 3.930806861597441*^9}, {3.930806901100569*^9, 
   3.930806939435568*^9}, {3.9308070332038116`*^9, 3.9308072042910385`*^9}, {
   3.9308073896208363`*^9, 3.93080744393214*^9}, 3.9308075756928635`*^9, {
   3.930807616388103*^9, 3.930807624360659*^9}, {3.93080819694457*^9, 
   3.9308082068895397`*^9}, 3.9308082976046543`*^9, {3.930808760712324*^9, 
   3.930808808683567*^9}, {3.930808840234379*^9, 3.930808870998993*^9}, 
   3.930808905836798*^9, {3.930809424649849*^9, 3.930809434187023*^9}, 
   3.931230795799799*^9, {3.9312361192588577`*^9, 3.931236142965189*^9}, {
   3.9312361933242626`*^9, 3.9312362000897675`*^9}},
 CellLabel->
  "In[203]:=",ExpressionUUID->"af437bde-3ad3-3c43-badb-ab0a6a143969"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "beta", "+", 
         RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "m"}]}], ")"}], " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", 
             RowBox[{"(", 
              RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m"}]}], 
           ")"}]}], "-", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "theta"}]}], 
        ")"}]}], "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", "beta", "-", 
            RowBox[{"4", " ", "m"}], "+", 
            RowBox[{"4", " ", "beta", " ", 
             SuperscriptBox["m", "2"]}]}], ")"}]}]}], ")"}], " ", "xL"}]}], 
     ")"}]}], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox["1", "2"], "+", "m"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"beta", " ", "Stick"}], "+", "theta", "+", "xR"}], 
    ")"}]}]}]], "Output",
 CellChangeTimes->{
  3.930808367001007*^9, {3.930808879573133*^9, 3.9308088846415577`*^9}, 
   3.930808991335596*^9, {3.9308090698323517`*^9, 3.930809083193724*^9}, 
   3.930809213375393*^9, 3.93080938502503*^9, {3.930809429258007*^9, 
   3.930809445334293*^9}, 3.9308095634383583`*^9, 3.930809699838257*^9, 
   3.9308098102534027`*^9, 3.9308111575202065`*^9, 3.930811835977593*^9, 
   3.9308119978400536`*^9, 3.930812085160846*^9, 3.9308122560593166`*^9, 
   3.930812386502775*^9, 3.930812752749668*^9, 3.930812802790159*^9, 
   3.930813571013567*^9, 3.930813876615999*^9, 3.930992517389597*^9, 
   3.9309930342526913`*^9, 3.931100850538542*^9, 3.9311008926011276`*^9, 
   3.931230796638544*^9, 3.9312365462383575`*^9, 3.931236589888151*^9},
 CellLabel->
  "Out[203]=",ExpressionUUID->"08e43691-acf8-fa45-8534-e647ad362b84"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"Stick", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", 
       FractionBox["1", "2"]}], "-", "m", "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "+", "m"}], ")"}], " ", "theta"}], "+", 
      FractionBox[
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "m"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "beta", "+", 
             RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"beta", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", "m"}]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"2", " ", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m"}]}], 
               ")"}]}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "theta"}]}], 
            ")"}]}], "+", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", 
             RowBox[{"beta", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "2"}], "+", "beta", "-", 
                RowBox[{"4", " ", "m"}], "+", 
                RowBox[{"4", " ", "beta", " ", 
                 SuperscriptBox["m", "2"]}]}], ")"}]}]}], ")"}], " ", 
           "xL"}]}], ")"}]}], 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "beta", "+", 
          RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "+", "m"}], ")"}], " ", "xR"}]}], 
     RowBox[{"1", "-", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         FractionBox["1", "2"], "+", "m"}], ")"}]}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.930808367001007*^9, {3.930808879573133*^9, 3.9308088846415577`*^9}, 
   3.930808991335596*^9, {3.9308090698323517`*^9, 3.930809083193724*^9}, 
   3.930809213375393*^9, 3.93080938502503*^9, {3.930809429258007*^9, 
   3.930809445334293*^9}, 3.9308095634383583`*^9, 3.930809699838257*^9, 
   3.9308098102534027`*^9, 3.9308111575202065`*^9, 3.930811835977593*^9, 
   3.9308119978400536`*^9, 3.930812085160846*^9, 3.9308122560593166`*^9, 
   3.930812386502775*^9, 3.930812752749668*^9, 3.930812802790159*^9, 
   3.930813571013567*^9, 3.930813876615999*^9, 3.930992517389597*^9, 
   3.9309930342526913`*^9, 3.931100850538542*^9, 3.9311008926011276`*^9, 
   3.931230796638544*^9, 3.9312365462383575`*^9, 3.9312365899193573`*^9},
 CellLabel->
  "Out[204]=",ExpressionUUID->"f9269b3f-142b-da4d-a648-ff093d55be20"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"xR", "\[Rule]", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"m", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "beta", "+", 
          RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"4", "-", 
          RowBox[{"8", " ", "theta"}], "+", 
          RowBox[{"beta", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "4"}], "-", 
             RowBox[{"b", " ", "beta", " ", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "-", 
                 RowBox[{"2", " ", "m"}]}], ")"}], "2"]}], "+", 
             RowBox[{"8", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "m"}], "-", 
             RowBox[{"2", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"2", " ", "m"}]}], ")"}], " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "4"}], "+", "beta", "+", 
                RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
              "theta"}]}], ")"}]}]}], ")"}]}], "-", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "m"}]}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"beta", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "2"}], "+", "beta", "-", 
             RowBox[{"4", " ", "m"}], "+", 
             RowBox[{"4", " ", "beta", " ", 
              SuperscriptBox["m", "2"]}]}], ")"}]}]}], ")"}], " ", "xL"}]}], 
      ")"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "beta", "+", 
         RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}], ")"}]}]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.930808367001007*^9, {3.930808879573133*^9, 3.9308088846415577`*^9}, 
   3.930808991335596*^9, {3.9308090698323517`*^9, 3.930809083193724*^9}, 
   3.930809213375393*^9, 3.93080938502503*^9, {3.930809429258007*^9, 
   3.930809445334293*^9}, 3.9308095634383583`*^9, 3.930809699838257*^9, 
   3.9308098102534027`*^9, 3.9308111575202065`*^9, 3.930811835977593*^9, 
   3.9308119978400536`*^9, 3.930812085160846*^9, 3.9308122560593166`*^9, 
   3.930812386502775*^9, 3.930812752749668*^9, 3.930812802790159*^9, 
   3.930813571013567*^9, 3.930813876615999*^9, 3.930992517389597*^9, 
   3.9309930342526913`*^9, 3.931100850538542*^9, 3.9311008926011276`*^9, 
   3.931230796638544*^9, 3.9312365462383575`*^9, 3.9312365902138634`*^9},
 CellLabel->
  "Out[206]=",ExpressionUUID->"9659d31c-7b15-0b44-b844-0434b498970e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Once", " ", "we", " ", "have", " ", "obtained", " ", 
     RowBox[{"R", "'"}], "s", " ", "concessions", " ", "in", " ", "the", " ", 
     RowBox[{"L", "'"}], "s", " ", "punihsment", " ", "phase"}], ",", " ", 
    RowBox[{"we", " ", "can", " ", "obtain", " ", 
     RowBox[{"L", "'"}], "s", " ", "punishment"}]}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"First", ",", " ", 
    RowBox[{
     RowBox[{"we", " ", "compute", " ", 
      RowBox[{"L", "'"}], "s", " ", "punishment", " ", "value", " ", "at", 
      " ", "the", " ", "start", " ", "of", " ", "the", " ", "back"}], "-", 
     "to", "-", 
     RowBox[{"business", " ", "phase"}]}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"LatCarrot", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "xL_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", " ", 
         RowBox[{"xRmax", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "xL"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sR", "=", "m"}], "}"}], ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sL", "=", " ", 
             RowBox[{"-", "m"}]}], "}"}], ",", " ", "\[IndentingNewLine]", 
           RowBox[{"b", "-", "xL", "+", " ", 
            RowBox[{"beta", "*", 
             RowBox[{"wLl", "[", 
              RowBox[{
              "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", "xR"}], 
              "]"}]}]}]}], "]"}]}], "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{"Second", ",", " ", 
     RowBox[{"we", " ", "compute", " ", 
      RowBox[{"L", "'"}], "s", " ", "punishment", " ", "value", " ", "at", 
      " ", "the", " ", "start", " ", "of", " ", "the", " ", "punishment", " ",
       "phase"}]}], " ", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"LatStickprevious", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_", ",", " ", 
       "LatStick_"}], "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"sR", "=", "m"}], "}"}], ",", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xR", "=", 
            RowBox[{"xRstick", "[", 
             RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], 
             "]"}]}], "}"}], ",", 
          RowBox[{
           RowBox[{
            RowBox[{"(", 
             RowBox[{"1", "-", 
              RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
            RowBox[{"LatCarrot", "[", 
             RowBox[{"m", ",", "beta", ",", "b", ",", "xL"}], "]"}]}], "+", 
           " ", 
           RowBox[{
            RowBox[{"pR", "[", "sR", "]"}], "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", 
               RowBox[{"(", 
                RowBox[{"1", "-", "xR"}], ")"}]}], "+", " ", 
              RowBox[{"beta", "*", "LatStick"}]}], ")"}]}]}]}], "]"}]}], 
       "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"sticksolve3", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{"LatStick", "\[Equal]", 
        RowBox[{"LatStickprevious", "[", 
         RowBox[{
         "m", ",", "beta", ",", "b", ",", "theta", ",", "xL", ",", 
          "LatStick"}], "]"}]}], ",", " ", "LatStick"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"which", " ", "gives", " ", "us", " ", 
      RowBox[{"L", "'"}], "s", " ", "punishment", " ", "as", " ", "a", " ", 
      "function", " ", "of", " ", 
      RowBox[{"L", "'"}], "s", " ", "concessions", " ", "in", " ", "the", " ",
       "Optimal", " ", "contract"}], ",", " ", "xL"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"LatStick", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_"}], 
     "]"}], "=", " ", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"LatStick", "/.", 
      RowBox[{"sticksolve3", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.930806033898973*^9, 3.930806034674706*^9}, {
   3.930806072112844*^9, 3.930806138435824*^9}, {3.9308061968019905`*^9, 
   3.930806228053842*^9}, {3.930806258829244*^9, 3.930806372114647*^9}, {
   3.930806765054659*^9, 3.930806861597441*^9}, {3.930806901100569*^9, 
   3.930806939435568*^9}, {3.9308070332038116`*^9, 3.9308072042910385`*^9}, {
   3.9308073896208363`*^9, 3.93080744393214*^9}, 3.9308075756928635`*^9, {
   3.930807616388103*^9, 3.930807624360659*^9}, {3.93080819694457*^9, 
   3.9308082068895397`*^9}, 3.9308082976046543`*^9, 3.930808951598655*^9, {
   3.930809312323307*^9, 3.930809372994095*^9}, {3.930809409954731*^9, 
   3.930809438503103*^9}, {3.930809677600757*^9, 3.930809687288769*^9}, {
   3.931231669995178*^9, 3.93123169122483*^9}, {3.9312361786143703`*^9, 
   3.9312361845291233`*^9}, {3.931236215082819*^9, 3.931236221395687*^9}, 
   3.931236581712555*^9},
 CellLabel->
  "In[208]:=",ExpressionUUID->"28378bba-2c1b-e040-bb78-71a00a89bbfd"],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    RowBox[{"b", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta"}], ")"}]}], "+", "beta", "-", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m"}]}], 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}], ")"}]}]], "+", 
  FractionBox[
   RowBox[{"2", " ", "xL"}], 
   RowBox[{
    RowBox[{"-", "2"}], "+", "beta", "+", 
    RowBox[{"2", " ", "beta", " ", "m"}]}]]}]], "Output",
 CellChangeTimes->{
  3.930808214803562*^9, 3.930808886850069*^9, 3.930808991769356*^9, {
   3.93080907194989*^9, 3.930809083378751*^9}, 3.930809213478323*^9, {
   3.930809385137377*^9, 3.930809411585899*^9}, 3.930809445467943*^9, 
   3.930809563593645*^9, 3.9308097019766808`*^9, 3.9308098123847427`*^9, 
   3.9308111594501724`*^9, 3.9308118361832867`*^9, 3.9308119981531143`*^9, 
   3.930812085572349*^9, 3.930812256244701*^9, 3.930812386704082*^9, 
   3.930812754700838*^9, 3.93081280294553*^9, 3.930813571169208*^9, 
   3.930813876804451*^9, 3.930992519477671*^9, 3.930993034435383*^9, 
   3.931100853009321*^9, 3.93110089379286*^9, {3.931231645507637*^9, 
   3.931231691511696*^9}, 3.931236548310545*^9, 3.931236590464548*^9},
 CellLabel->
  "Out[208]=",ExpressionUUID->"9b4cb333-3a98-8a4f-bf39-fa9fdcc27850"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"LatStick", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"-", "1"}], "+", "b", "-", 
      RowBox[{"2", " ", "b", " ", "m"}], "-", 
      RowBox[{"2", " ", "xL"}], "+", 
      RowBox[{"2", " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "beta", "-", 
         RowBox[{"4", " ", "theta"}], "+", 
         RowBox[{"2", " ", "beta", " ", "theta"}], "+", 
         RowBox[{"beta", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "2"}], "+", 
            RowBox[{"4", " ", "theta"}]}], ")"}]}], "+", 
         RowBox[{"2", " ", "xL"}]}], ")"}]}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.930808214803562*^9, 3.930808886850069*^9, 3.930808991769356*^9, {
   3.93080907194989*^9, 3.930809083378751*^9}, 3.930809213478323*^9, {
   3.930809385137377*^9, 3.930809411585899*^9}, 3.930809445467943*^9, 
   3.930809563593645*^9, 3.9308097019766808`*^9, 3.9308098123847427`*^9, 
   3.9308111594501724`*^9, 3.9308118361832867`*^9, 3.9308119981531143`*^9, 
   3.930812085572349*^9, 3.930812256244701*^9, 3.930812386704082*^9, 
   3.930812754700838*^9, 3.93081280294553*^9, 3.930813571169208*^9, 
   3.930813876804451*^9, 3.930992519477671*^9, 3.930993034435383*^9, 
   3.931100853009321*^9, 3.93110089379286*^9, {3.931231645507637*^9, 
   3.931231691511696*^9}, 3.931236548310545*^9, 3.931236591158531*^9},
 CellLabel->
  "Out[210]=",ExpressionUUID->"5b873293-4ea5-374e-9047-2dd209e27f58"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "1"}], "+", "b", "-", 
   RowBox[{"2", " ", "b", " ", "m"}], "-", 
   RowBox[{"2", " ", "xL"}], "+", 
   RowBox[{"2", " ", "m", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "beta", "-", 
      RowBox[{"4", " ", "theta"}], "+", 
      RowBox[{"2", " ", "beta", " ", "theta"}], "+", 
      RowBox[{"beta", " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"4", " ", "theta"}]}], ")"}]}], "+", 
      RowBox[{"2", " ", "xL"}]}], ")"}]}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808214803562*^9, 3.930808886850069*^9, 3.930808991769356*^9, {
   3.93080907194989*^9, 3.930809083378751*^9}, 3.930809213478323*^9, {
   3.930809385137377*^9, 3.930809411585899*^9}, 3.930809445467943*^9, 
   3.930809563593645*^9, 3.9308097019766808`*^9, 3.9308098123847427`*^9, 
   3.9308111594501724`*^9, 3.9308118361832867`*^9, 3.9308119981531143`*^9, 
   3.930812085572349*^9, 3.930812256244701*^9, 3.930812386704082*^9, 
   3.930812754700838*^9, 3.93081280294553*^9, 3.930813571169208*^9, 
   3.930813876804451*^9, 3.930992519477671*^9, 3.930993034435383*^9, 
   3.931100853009321*^9, 3.93110089379286*^9, {3.931231645507637*^9, 
   3.931231691511696*^9}, 3.931236548310545*^9, 3.9312365911741543`*^9},
 CellLabel->
  "Out[211]=",ExpressionUUID->"2995be30-9f23-0b43-b745-4bcb6dfd7671"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Closing", " ", "the", " ", "Optimal", " ", "contract", " ", "and", " ", 
     RowBox[{"L", "'"}], "s", " ", "punishment", " ", 
     RowBox[{"together", " ", "--"}], " ", "Finding", " ", 
     RowBox[{"L", "'"}], "s", " ", "concessions", " ", "in", " ", "the", " ", 
     "Optimal", " ", "contract"}], ",", " ", "xL"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"enforcementLmaxsubstituted", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "xL_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"alphaL", "=", " ", 
         RowBox[{"LatStick", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], 
          "]"}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xR", "=", " ", 
           RowBox[{"xRmax", "[", 
            RowBox[{"m", ",", "beta", ",", "b", ",", "xL"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sR", "=", "m"}], "}"}], ",", 
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"sL", "=", " ", 
               RowBox[{"-", "m"}]}], "}"}], ",", 
             RowBox[{"enforcementLmax", "[", 
              RowBox[{
              "m", ",", "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", 
               ",", "xR", ",", "alphaL"}], "]"}]}], "]"}]}], "]"}]}], "]"}]}],
       "]"}], "]"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"xLmaxsolve", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"enforcementLmaxsubstituted", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], "]"}],
         "\[Equal]", "0"}], ",", "xL"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xLmax", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"xL", "/.", 
       RowBox[{"xLmaxsolve", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.930807467970919*^9, 3.930807583083481*^9}, {
   3.93080762798102*^9, 3.9308076287749233`*^9}, {3.930809045578541*^9, 
   3.930809077801243*^9}, {3.9308092680935*^9, 3.93080927874716*^9}, 
   3.930809707419763*^9, 3.930812568428266*^9, {3.931236236156065*^9, 
   3.9312362379059544`*^9}},
 CellLabel->
  "In[212]:=",ExpressionUUID->"7bd6b59f-f68a-ff46-aad9-8d51ebb9b131"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"beta", " ", "m", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"], " ", 
    RowBox[{"(", 
     RowBox[{"b", "+", 
      RowBox[{"2", " ", "theta"}]}], ")"}]}], "+", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}],
         ")"}]}]}], ")"}], " ", "xL"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "beta", "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808889667925*^9, 3.930808991821743*^9, {3.930809047576382*^9, 
   3.930809084059177*^9}, 3.930809157810026*^9, 3.930809213934114*^9, 
   3.930809390514879*^9, 3.930809449564226*^9, 3.9308095671910915`*^9, 
   3.930809703065702*^9, 3.930809813383833*^9, 3.9308111603253803`*^9, 
   3.930811838123279*^9, 3.930811999851602*^9, 3.930812086618221*^9, 
   3.930812257079071*^9, 3.9308123875174274`*^9, 3.9308127555731087`*^9, 
   3.930812803722494*^9, 3.9308135719161854`*^9, 3.930813877684841*^9, 
   3.930992520430675*^9, 3.9309930350666428`*^9, 3.931100856153839*^9, 
   3.931100896226789*^9, 3.931231720706854*^9, 3.931236554330511*^9, 
   3.931236591377844*^9},
 CellLabel->
  "Out[212]=",ExpressionUUID->"f85b5181-35c2-fd40-9a35-e92564bc5269"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"xL", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"beta", " ", "m", " ", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "2"}], "+", "beta", "+", 
          RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"], " ", 
       RowBox[{"(", 
        RowBox[{"b", "+", 
         RowBox[{"2", " ", "theta"}]}], ")"}]}], 
      RowBox[{
       RowBox[{"-", "2"}], "+", 
       RowBox[{"beta", " ", 
        RowBox[{"(", 
         RowBox[{"4", "+", 
          RowBox[{"beta", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"4", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "m"}], ")"}], " ", "m"}]}], 
            ")"}]}]}], ")"}]}]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.930808889667925*^9, 3.930808991821743*^9, {3.930809047576382*^9, 
   3.930809084059177*^9}, 3.930809157810026*^9, 3.930809213934114*^9, 
   3.930809390514879*^9, 3.930809449564226*^9, 3.9308095671910915`*^9, 
   3.930809703065702*^9, 3.930809813383833*^9, 3.9308111603253803`*^9, 
   3.930811838123279*^9, 3.930811999851602*^9, 3.930812086618221*^9, 
   3.930812257079071*^9, 3.9308123875174274`*^9, 3.9308127555731087`*^9, 
   3.930812803722494*^9, 3.9308135719161854`*^9, 3.930813877684841*^9, 
   3.930992520430675*^9, 3.9309930350666428`*^9, 3.931100856153839*^9, 
   3.931100896226789*^9, 3.931231720706854*^9, 3.931236554330511*^9, 
   3.931236591409086*^9},
 CellLabel->
  "Out[213]=",ExpressionUUID->"4c3031c4-ab2b-1b4f-9308-7b2b42e6e56d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", "Obtaining", " ", 
    RowBox[{"L", "'"}], "s", " ", "Punishment", " ", "and", " ", "the", " ", 
    "Optimal", " ", 
    RowBox[{"Contract", " ", "--"}], " ", "we", " ", "substitute", " ", 
    "xL"}], "**)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"alphaL", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xL", "=", " ", 
          RowBox[{"xLmax", "[", 
           RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], "}"}],
         ",", 
        RowBox[{"LatStick", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], 
         "]"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xRstickFinal", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", " ", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xL", "=", " ", 
         RowBox[{"xLmax", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"xRstick", "[", 
        RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "xL"}], 
        "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"xRmaxFinal", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", " ", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xL", "=", " ", 
         RowBox[{"xLmax", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], "}"}], 
       ",", 
       RowBox[{"xRmax", "[", 
        RowBox[{"m", ",", "beta", ",", "b", ",", "xL"}], "]"}]}], "]"}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.9308076460871487`*^9, 3.930807723786884*^9}},
 CellLabel->
  "In[215]:=",ExpressionUUID->"c8d51d8a-3a71-dd41-ae84-225d24b0c1cf"],

Cell[BoxData[
 FractionBox[
  RowBox[{"4", " ", "m", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", 
     RowBox[{"4", " ", "theta"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"b", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "m"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}], "-", 
        RowBox[{"6", " ", "theta"}], "-", 
        RowBox[{"4", " ", "m", " ", "theta"}], "+", 
        RowBox[{"beta", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"2", " ", "theta"}], "+", 
           RowBox[{"4", " ", "m", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "m", "+", "theta"}], ")"}]}]}], 
          ")"}]}]}], ")"}]}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"beta", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}], 
       ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808891244999*^9, 3.93080899195449*^9, {3.930809074580839*^9, 
   3.930809084196388*^9}, 3.930809214024277*^9, 3.93080939061496*^9, 
   3.9308094496569023`*^9, 3.930809567254053*^9, 3.930809703767578*^9, 
   3.9308098140597*^9, 3.9308111609572983`*^9, 3.930811838382328*^9, 
   3.93081200004373*^9, 3.930812086724191*^9, 3.930812257183149*^9, 
   3.9308123876269207`*^9, 3.930812756205611*^9, 3.930812803823599*^9, 
   3.9308135720285244`*^9, 3.930813877834263*^9, 3.930992521203106*^9, 
   3.930993035141917*^9, 3.931100859021998*^9, 3.9311008991885223`*^9, 
   3.9312317291065464`*^9, {3.931236569881441*^9, 3.931236592198492*^9}},
 CellLabel->
  "Out[216]=",ExpressionUUID->"a7c555a2-bec6-c743-9556-669939358551"],

Cell[BoxData[
 RowBox[{"beta", " ", "m", " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b"}], ")"}]}], "-", 
    FractionBox[
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "m"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "beta", "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"b", "+", 
        RowBox[{"2", " ", "theta"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{"4", "+", 
         RowBox[{"beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"4", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}],
         ")"}]}]}]]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.930808891244999*^9, 3.93080899195449*^9, {3.930809074580839*^9, 
   3.930809084196388*^9}, 3.930809214024277*^9, 3.93080939061496*^9, 
   3.9308094496569023`*^9, 3.930809567254053*^9, 3.930809703767578*^9, 
   3.9308098140597*^9, 3.9308111609572983`*^9, 3.930811838382328*^9, 
   3.93081200004373*^9, 3.930812086724191*^9, 3.930812257183149*^9, 
   3.9308123876269207`*^9, 3.930812756205611*^9, 3.930812803823599*^9, 
   3.9308135720285244`*^9, 3.930813877834263*^9, 3.930992521203106*^9, 
   3.930993035141917*^9, 3.931100859021998*^9, 3.9311008991885223`*^9, 
   3.9312317291065464`*^9, {3.931236569881441*^9, 3.9312365924363346`*^9}},
 CellLabel->
  "Out[217]=",ExpressionUUID->"c9afd7fb-3c29-794a-8831-4fe852cfaeda"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"REGIONS", " ", "--"}], " ", "Proof", " ", "of", " ", 
    "PROPOSITIONS", " ", "4", " ", "AND", " ", "5"}], "**)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
   "When", " ", "are", " ", "we", " ", "at", " ", "the", " ", "commitment", 
    " ", 
    RowBox[{"punishment", "?", " ", 
     RowBox[{"--", " ", "We"}]}], " ", "obtain", " ", "a", " ", "thereshold", 
    " ", "in", " ", "theta"}], " ", "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"xRstickFinal", "[", 
       RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], ",", 
      "theta"}], "]"}], "]"}], " ", 
   RowBox[{"(*", 
    RowBox[{"monotone", " ", "decreasing", " ", "in", " ", "theta"}], "*)"}], 
   "\[IndentingNewLine]", 
   RowBox[{"solvetheta1", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"xRstickFinal", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], 
        "\[Equal]", "0"}], ",", " ", "theta"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"thetaOutofCommitmentOptimal", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"theta", "/.", 
       RowBox[{"solvetheta1", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"We", " ", "now", " ", "show", " ", "Proposition", " ", "4"}], 
     ",", " ", 
     RowBox[{
      RowBox[{
      "the", " ", "Optimal", " ", "contract", " ", "results", " ", "hold", 
       " ", "for", " ", "some", " ", "theta"}], " ", "<", " ", 
      RowBox[{"1", "/", "2"}]}]}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"Reduce", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"thetaOutofCommitmentOptimal", "[", 
       RowBox[{"m", ",", "beta", ",", "b"}], "]"}], " ", ">=", "  ", 
      RowBox[{"1", "/", "2"}]}], "&&", 
     RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
     RowBox[{"0", "<", "m", "<", 
      RowBox[{"1", "/", "2"}]}], "&&", 
     RowBox[{"b", ">", "0"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.930810864376381*^9, 3.930810906999883*^9}, {
   3.9308114494056473`*^9, 3.930811450449375*^9}, {3.9308117601285095`*^9, 
   3.930811760453306*^9}, {3.9308118801314545`*^9, 3.930811942443674*^9}, 
   3.930812051023084*^9, {3.930812111058838*^9, 3.930812111678581*^9}, {
   3.930812990705377*^9, 3.930812997475601*^9}, 3.931100876584215*^9, {
   3.9311009110868473`*^9, 3.931100913753433*^9}},
 CellLabel->
  "In[218]:=",ExpressionUUID->"49a33e4a-1d95-5741-8d19-03788752560e"],

Cell[BoxData[
 FractionBox[
  RowBox[{"8", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", "m", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "beta", "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}], 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"2", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"beta", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}], 
       ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.93081116141131*^9, 3.930811838565613*^9, 3.9308120004023266`*^9, 
   3.930812052611494*^9, {3.930812086880764*^9, 3.930812114136694*^9}, 
   3.930812257391592*^9, 3.930812387843429*^9, 3.9308127564483356`*^9, 
   3.930812804034729*^9, 3.930813572223861*^9, 3.930813878038833*^9, 
   3.9309925215011597`*^9, 3.930993035210279*^9, {3.9311008682118244`*^9, 
   3.9311009143470936`*^9}, 3.931231791753754*^9, {3.9312365702563515`*^9, 
   3.931236592530031*^9}},
 CellLabel->
  "Out[218]=",ExpressionUUID->"48c20871-4567-744b-a88a-e0e97e283232"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"theta", "\[Rule]", 
    FractionBox[
     RowBox[{"2", "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "-", "b", "+", "beta", "+", 
         RowBox[{"2", " ", 
          RowBox[{"(", 
           RowBox[{"b", "+", 
            RowBox[{
             RowBox[{"(", 
              RowBox[{"2", "+", "b"}], ")"}], " ", "beta"}]}], ")"}], " ", 
          "m"}], "-", 
         RowBox[{"4", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", 
          SuperscriptBox["m", "2"]}]}], ")"}]}]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "beta", "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.93081116141131*^9, 3.930811838565613*^9, 3.9308120004023266`*^9, 
   3.930812052611494*^9, {3.930812086880764*^9, 3.930812114136694*^9}, 
   3.930812257391592*^9, 3.930812387843429*^9, 3.9308127564483356`*^9, 
   3.930812804034729*^9, 3.930813572223861*^9, 3.930813878038833*^9, 
   3.9309925215011597`*^9, 3.930993035210279*^9, {3.9311008682118244`*^9, 
   3.9311009143470936`*^9}, 3.931231791753754*^9, {3.9312365702563515`*^9, 
   3.9312365926580963`*^9}},
 CellLabel->
  "Out[219]=",ExpressionUUID->"f067b80f-d84b-6d47-b371-a890a591c857"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{
  3.93081116141131*^9, 3.930811838565613*^9, 3.9308120004023266`*^9, 
   3.930812052611494*^9, {3.930812086880764*^9, 3.930812114136694*^9}, 
   3.930812257391592*^9, 3.930812387843429*^9, 3.9308127564483356`*^9, 
   3.930812804034729*^9, 3.930813572223861*^9, 3.930813878038833*^9, 
   3.9309925215011597`*^9, 3.930993035210279*^9, {3.9311008682118244`*^9, 
   3.9311009143470936`*^9}, 3.931231791753754*^9, {3.9312365702563515`*^9, 
   3.931236592689337*^9}},
 CellLabel->
  "Out[221]=",ExpressionUUID->"062f85a6-7d03-0443-88cb-68af5046e30a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "We", " ", "can", " ", "instead", " ", "show", " ", "our", " ", "results", 
    " ", "with", " ", "respect", " ", "to", " ", 
    RowBox[{"b", " ", "--"}], " ", "we", " ", "obtain", " ", "bBar", " ", 
    "from", " ", "Proposition", " ", "3"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"solvebBar", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"xRstickFinal", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], 
        "\[Equal]", "0"}], ",", " ", "b"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"bBar", "[", 
      RowBox[{"m_", ",", "beta_", ",", "theta_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"b", "/.", 
       RowBox[{"solvebBar", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
     "largest", " ", "b", " ", "such", " ", "that", " ", "punishment", " ", 
      "without", " ", "concession", " ", "is", " ", "possible", " ", "and", 
      " ", "commitment"}], "=", 
     RowBox[{"no", " ", "commitment"}]}], "*)"}]}]}]], "Input",
 CellChangeTimes->{{3.9308108249757977`*^9, 3.930810859924694*^9}, {
   3.930810910348059*^9, 3.9308111406268*^9}, 3.930811207705225*^9, {
   3.930811452964109*^9, 3.930811454604435*^9}, 3.930812402452245*^9, {
   3.930812610061138*^9, 3.9308126420808487`*^9}, {3.93081271020957*^9, 
   3.930812711188923*^9}, {3.930813004224352*^9, 3.930813137270502*^9}, {
   3.930813178747825*^9, 3.930813320980812*^9}, {3.930813351726713*^9, 
   3.930813584438175*^9}, {3.930813625165683*^9, 3.930813696612404*^9}, {
   3.930813801938696*^9, 3.930813868395279*^9}, 3.930992023273329*^9, 
   3.930992312057102*^9, {3.9309924538851547`*^9, 3.930992486087073*^9}, 
   3.930992549922924*^9, {3.9309927873826694`*^9, 3.9309928968510685`*^9}, {
   3.930992950878393*^9, 3.930992982368061*^9}, {3.93110149707208*^9, 
   3.93110150985248*^9}, {3.9311016353063717`*^9, 3.931101635812372*^9}, {
   3.9311017292884426`*^9, 3.931101769501623*^9}, {3.931102432837185*^9, 
   3.9311024375767727`*^9}, {3.931231856632382*^9, 3.931231897509093*^9}, 
   3.931231994503544*^9},
 CellLabel->
  "In[222]:=",ExpressionUUID->"fbf60d4b-3615-2f4b-a976-f2643e081959"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"b", "\[Rule]", 
    FractionBox[
     RowBox[{"2", "-", 
      RowBox[{"4", " ", "theta"}], "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "4"}], "+", "beta", "-", 
         RowBox[{"2", " ", "beta", " ", "theta"}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"6", "+", 
            RowBox[{"4", " ", "m"}]}], ")"}], " ", "theta"}], "-", 
         RowBox[{"4", " ", "beta", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "m", "+", "theta"}], ")"}]}]}], 
        ")"}]}]}], 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "m"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}]]}], "}"}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.9312319896119804`*^9, {3.9312365823615036`*^9, 3.9312365928066654`*^9}},
 CellLabel->
  "Out[222]=",ExpressionUUID->"fb111b75-a081-2c45-9d7d-ea8af73b9143"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Sanity", " ", 
    RowBox[{"Check", ":", " ", 
     RowBox[{
     "The", " ", "calculated", " ", "shoudl", " ", "be", " ", "the", " ", 
      "same", " ", "as", " ", "inverting", " ", "thetaHat"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"b", "/.", 
      RowBox[{
       RowBox[{"Solve", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"thetaOutofCommitmentOptimal", "[", 
           RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "==", "theta"}], ",", 
         "b"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "-", 
    RowBox[{"bBar", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.9308108249757977`*^9, 3.930810859924694*^9}, {
   3.930810910348059*^9, 3.9308111406268*^9}, 3.930811207705225*^9, {
   3.930811452964109*^9, 3.930811454604435*^9}, 3.930812402452245*^9, {
   3.930812610061138*^9, 3.9308126420808487`*^9}, {3.93081271020957*^9, 
   3.930812711188923*^9}, {3.930813004224352*^9, 3.930813137270502*^9}, {
   3.930813178747825*^9, 3.930813320980812*^9}, {3.930813351726713*^9, 
   3.930813584438175*^9}, {3.930813625165683*^9, 3.930813696612404*^9}, {
   3.930813801938696*^9, 3.930813868395279*^9}, 3.930992023273329*^9, 
   3.930992312057102*^9, {3.9309924538851547`*^9, 3.930992486087073*^9}, 
   3.930992549922924*^9, {3.9309927873826694`*^9, 3.9309928968510685`*^9}, {
   3.930992950878393*^9, 3.930992982368061*^9}, {3.93110149707208*^9, 
   3.93110150985248*^9}, {3.9311016353063717`*^9, 3.931101635812372*^9}, {
   3.9311017292884426`*^9, 3.931101769501623*^9}, {3.931102432837185*^9, 
   3.9311024375767727`*^9}, {3.931231856632382*^9, 3.9312319849070873`*^9}},
 CellLabel->
  "In[224]:=",ExpressionUUID->"1e973560-0dbe-3349-9200-2e54337dee63"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.9312365843908367`*^9, 3.9312365928522186`*^9}},
 CellLabel->
  "Out[224]=",ExpressionUUID->"915da99d-77e5-d145-957c-d6885d9cc034"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Now", " ", "we", " ", 
     RowBox[{"compute", " ", "\\", "hat"}], 
     RowBox[{"{", "b", "}"}], " ", "from", " ", "Proposition", " ", "5"}], 
    ",", " ", 
    RowBox[{"that", " ", "is"}], ",", " ", 
    RowBox[{
     RowBox[{"the", " ", "largest", " ", "b", " ", "such", " ", "that", " ", 
      RowBox[{"P", "'"}], "s", " ", "on"}], "-", 
     RowBox[{"path", " ", "constraint", " ", "is", " ", "redundant"}]}]}], 
   "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"solvebHat", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"xRstickFinal", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], 
        "\[Equal]", 
        RowBox[{"xRmaxFinal", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], ",", 
       " ", "b"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"bHat", "[", 
      RowBox[{"m_", ",", "beta_", ",", "theta_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"b", "/.", 
       RowBox[{"solvebHat", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"largest", " ", "b", " ", "such", " ", "that", " ", 
      RowBox[{"P", "'"}], "s", " ", "on"}], "-", 
     RowBox[{
     "path", " ", "constraint", " ", "does", " ", "not", " ", "bind"}]}], 
    "*)"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.9308108249757977`*^9, 3.930810859924694*^9}, {
   3.930810910348059*^9, 3.9308111406268*^9}, 3.930811207705225*^9, {
   3.930811452964109*^9, 3.930811454604435*^9}, 3.930812402452245*^9, {
   3.930812610061138*^9, 3.9308126420808487`*^9}, {3.93081271020957*^9, 
   3.930812711188923*^9}, {3.930813004224352*^9, 3.930813137270502*^9}, {
   3.930813178747825*^9, 3.930813320980812*^9}, {3.930813351726713*^9, 
   3.930813584438175*^9}, {3.930813625165683*^9, 3.930813696612404*^9}, {
   3.930813801938696*^9, 3.930813868395279*^9}, 3.930992023273329*^9, 
   3.930992312057102*^9, {3.9309924538851547`*^9, 3.930992486087073*^9}, 
   3.930992549922924*^9, {3.9309927873826694`*^9, 3.9309928968510685`*^9}, {
   3.930992950878393*^9, 3.930992982368061*^9}, {3.93110149707208*^9, 
   3.93110150985248*^9}, {3.9311016353063717`*^9, 3.931101635812372*^9}, {
   3.9311017292884426`*^9, 3.931101769501623*^9}, {3.931102432837185*^9, 
   3.9311024375767727`*^9}, {3.931231856632382*^9, 3.931232003228527*^9}, {
   3.9312321467234077`*^9, 3.931232211291727*^9}, 3.931236345440727*^9},
 CellLabel->
  "In[225]:=",ExpressionUUID->"f99325ab-1ad9-b049-943d-ffb1316b9845"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"b", "\[Rule]", 
    FractionBox[
     RowBox[{"4", "+", 
      RowBox[{
       SuperscriptBox["beta", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"8", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"m", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "theta"}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", "theta"}]}], ")"}]}], "+", 
      RowBox[{"8", " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "theta"}], ")"}]}], "-", 
      RowBox[{"8", " ", "theta"}]}], 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"beta", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}], 
       ")"}]}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.930992552867031*^9, 3.9309928755974216`*^9, 3.930993035279449*^9, 
   3.931100923224197*^9, 3.931101513533018*^9, 3.931101637517582*^9, 
   3.931102464895624*^9, 3.931231807469979*^9, {3.931231887655657*^9, 
   3.931231900656851*^9}, 3.931231940396145*^9, 3.931236593046055*^9},
 CellLabel->
  "Out[225]=",ExpressionUUID->"ba3a3eb9-4efc-524a-a4a3-a52cca23b849"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
   "We", " ", "want", " ", "now", " ", "to", " ", "compare", " ", "this", " ",
     "threshold", " ", "with", " ", "the", " ", "theta", " ", 
    RowBox[{"(", "overline", ")"}], " ", "at", " ", "which", " ", "the", " ", 
    "contract", " ", "stops", " ", "being", " ", 
    RowBox[{"(", 
     RowBox[{"DEC", ",", "DEC"}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"To", " ", "that", " ", "end"}], ",", " ", 
    RowBox[{
     RowBox[{"we", " ", "compute", " ", 
      RowBox[{"L", "'"}], "s", " ", "enforcement", " ", "constraint", " ", 
      "in", " ", "the", " ", "Commitment"}], "-", 
     RowBox[{
     "Optimal", " ", "contract", " ", "for", " ", "the", " ", "case", " ", 
      "in", " ", "which", " ", 
      RowBox[{"L", "'"}], "s", " ", "concession", " ", "equals", " ", 
      "theta"}]}]}], "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Recall", " ", "that", " ", 
     RowBox[{"L", "'"}], "s", " ", "punishment", " ", "value", " ", "under", 
     " ", "commitment", " ", "is", " ", "idential", " ", "to", " ", 
     RowBox[{"R", "'"}], "s", " ", "punishment", " ", "value", " ", "under", 
     " ", "non"}], "-", "commitment"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"enforcementLmaxsubstituted", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"alphaL", "=", 
          RowBox[{"alphaR", "[", 
           RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}], "}"}], ",", " ", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"xL", "=", "theta"}], "}"}], ",", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"xR", "=", 
              RowBox[{"xRmax", "[", 
               RowBox[{"m", ",", "beta", ",", "b", ",", " ", "theta"}], 
               "]"}]}], "}"}], ",", 
            RowBox[{"With", "[", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"sR", "=", "m"}], "}"}], ",", 
              RowBox[{"With", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{"sL", "=", " ", 
                  RowBox[{"-", "m"}]}], "}"}], ",", 
                RowBox[{"enforcementLmax", "[", 
                 RowBox[{
                 "m", ",", "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", 
                  ",", "xR", ",", "alphaL"}], "]"}]}], "]"}]}], "]"}]}], 
           "]"}]}], "]"}]}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"solvetheta2", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"enforcementLmaxsubstituted", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], 
        "\[Equal]", "0"}], ",", " ", "theta"}], "]"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"thetaoverline", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", " ", 
      RowBox[{"theta", "/.", 
       RowBox[{"solvetheta2", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.9308108249757977`*^9, 3.930810859924694*^9}, {
   3.930810910348059*^9, 3.9308111406268*^9}, 3.930811207705225*^9, {
   3.930811452964109*^9, 3.930811454604435*^9}, 3.930812402452245*^9, {
   3.930812610061138*^9, 3.9308126420808487`*^9}, {3.93081271020957*^9, 
   3.930812711188923*^9}, {3.930813004224352*^9, 3.930813137270502*^9}, {
   3.930813178747825*^9, 3.930813320980812*^9}, {3.930813351726713*^9, 
   3.9308135451812077`*^9}, {3.9311042247710266`*^9, 
   3.9311042255632668`*^9}, {3.931232335627405*^9, 3.931232336555776*^9}, {
   3.931236382206669*^9, 3.931236383872446*^9}},
 CellLabel->
  "In[227]:=",ExpressionUUID->"ba06ea60-7eba-884f-838c-36be5e1a22bc"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"theta", "\[Rule]", 
    FractionBox[
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "2"}], "+", "beta", "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}]}], 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}]]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.930811161485533*^9, 3.930811838648041*^9, 3.930812000577198*^9, 
   3.930812086926796*^9, 3.93081225747703*^9, 3.930812387898563*^9, {
   3.930812624475672*^9, 3.930812644472669*^9}, 3.930812756642153*^9, 
   3.930812804076412*^9, 3.930813573336805*^9, 3.930813879007736*^9, 
   3.930992522633217*^9, 3.930993035605091*^9, 3.9312365931553783`*^9},
 CellLabel->
  "Out[228]=",ExpressionUUID->"47908f24-c4a2-9448-ac18-0feed13662f3"]
}, Open  ]]
},
WindowSize->{949, 497},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
DockedCells->{},
Magnification:>0.9 Inherited,
FrontEndVersion->"14.0 para Microsoft Windows (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"5db6e344-73a5-9d47-b47e-c0e2ce1282cb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 11504, 315, 725, "Input",ExpressionUUID->"8bbf2559-ae24-d44b-a9e0-0e3d11bf46e4"],
Cell[12087, 339, 1078, 22, 46, "Output",ExpressionUUID->"fc1989cd-8203-1c4b-85a1-80414b39b24f"],
Cell[13168, 363, 1113, 24, 46, "Output",ExpressionUUID->"181d98c8-ea33-bf47-84df-0b0d2818a833"]
}, Open  ]],
Cell[14296, 390, 1728, 45, 105, "Input",ExpressionUUID->"b37ca3c0-de88-3746-8799-df87c3fe54d2"],
Cell[CellGroupData[{
Cell[16049, 439, 2324, 56, 190, "Input",ExpressionUUID->"911073eb-e55e-fc48-a7d7-5580b2c95981"],
Cell[18376, 497, 1527, 39, 46, "Output",ExpressionUUID->"c4cc25f7-6371-2e42-8393-d50808ed707f"],
Cell[19906, 538, 1222, 28, 44, "Output",ExpressionUUID->"6d78d014-be14-ec45-842a-de7375dfd531"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21165, 571, 2043, 51, 141, "Input",ExpressionUUID->"af8bdccb-6132-7841-be12-1dbbe30ac9c3"],
Cell[23211, 624, 2246, 62, 50, "Output",ExpressionUUID->"babc998d-847e-9e4f-9a12-cee4be1fde85"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25494, 691, 3981, 97, 252, "Input",ExpressionUUID->"af437bde-3ad3-3c43-badb-ab0a6a143969"],
Cell[29478, 790, 2787, 78, 84, "Output",ExpressionUUID->"08e43691-acf8-fa45-8534-e647ad362b84"],
Cell[32268, 870, 3339, 89, 68, "Output",ExpressionUUID->"f9269b3f-142b-da4d-a648-ff093d55be20"],
Cell[35610, 961, 3134, 81, 51, "Output",ExpressionUUID->"9659d31c-7b15-0b44-b844-0434b498970e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38781, 1047, 5527, 129, 425, "Input",ExpressionUUID->"28378bba-2c1b-e040-bb78-71a00a89bbfd"],
Cell[44311, 1178, 1369, 32, 46, "Output",ExpressionUUID->"9b4cb333-3a98-8a4f-bf39-fa9fdcc27850"],
Cell[45683, 1212, 1753, 41, 46, "Output",ExpressionUUID->"5b873293-4ea5-374e-9047-2dd209e27f58"],
Cell[47439, 1255, 1598, 37, 46, "Output",ExpressionUUID->"2995be30-9f23-0b43-b745-4bcb6dfd7671"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49074, 1297, 2742, 68, 203, "Input",ExpressionUUID->"7bd6b59f-f68a-ff46-aad9-8d51ebb9b131"],
Cell[51819, 1367, 1926, 52, 48, "Output",ExpressionUUID->"f85b5181-35c2-fd40-9a35-e92564bc5269"],
Cell[53748, 1421, 1660, 41, 48, "Output",ExpressionUUID->"4c3031c4-ab2b-1b4f-9308-7b2b42e6e56d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[55445, 1467, 2094, 54, 137, "Input",ExpressionUUID->"c8d51d8a-3a71-dd41-ae84-225d24b0c1cf"],
Cell[57542, 1523, 2265, 61, 46, "Output",ExpressionUUID->"a7c555a2-bec6-c743-9556-669939358551"],
Cell[59810, 1586, 1746, 45, 46, "Output",ExpressionUUID->"c9afd7fb-3c29-794a-8831-4fe852cfaeda"]
}, Open  ]],
Cell[CellGroupData[{
Cell[61593, 1636, 2845, 70, 237, "Input",ExpressionUUID->"49a33e4a-1d95-5741-8d19-03788752560e"],
Cell[64441, 1708, 1370, 38, 46, "Output",ExpressionUUID->"48c20871-4567-744b-a88a-e0e97e283232"],
Cell[65814, 1748, 1490, 39, 50, "Output",ExpressionUUID->"f067b80f-d84b-6d47-b371-a890a591c857"],
Cell[67307, 1789, 597, 10, 28, "Output",ExpressionUUID->"062f85a6-7d03-0443-88cb-68af5046e30a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[67941, 1804, 2393, 50, 124, "Input",ExpressionUUID->"fbf60d4b-3615-2f4b-a976-f2643e081959"],
Cell[70337, 1856, 1133, 34, 46, "Output",ExpressionUUID->"fb111b75-a081-2c45-9d7d-ea8af73b9143"]
}, Open  ]],
Cell[CellGroupData[{
Cell[71507, 1895, 1880, 38, 56, "Input",ExpressionUUID->"1e973560-0dbe-3349-9200-2e54337dee63"],
Cell[73390, 1935, 181, 3, 28, "Output",ExpressionUUID->"915da99d-77e5-d145-957c-d6885d9cc034"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73608, 1943, 2691, 57, 107, "Input",ExpressionUUID->"f99325ab-1ad9-b049-943d-ffb1316b9845"],
Cell[76302, 2002, 1466, 41, 48, "Output",ExpressionUUID->"ba3a3eb9-4efc-524a-a4a3-a52cca23b849"]
}, Open  ]],
Cell[CellGroupData[{
Cell[77805, 2048, 4173, 97, 339, "Input",ExpressionUUID->"ba06ea60-7eba-884f-838c-36be5e1a22bc"],
Cell[81981, 2147, 874, 21, 93, "Output",ExpressionUUID->"47908f24-c4a2-9448-ac18-0feed13662f3"]
}, Open  ]]
}
]
*)

