(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 14.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     84143,       2242]
NotebookOptionsPosition[     77757,       2130]
NotebookOutlinePosition[     78177,       2147]
CellTagsIndexPosition[     78134,       2144]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Probabilities", " ", "of", " ", "selection", " ", "for", " ", "the", " ", 
    "case", " ", "sR", " ", "is", " ", "played", " ", "and", " ", "for", " ", 
    "the", " ", "case", " ", "sL"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"pR", "[", "sR_", "]"}], "=", 
   RowBox[{
    RowBox[{"1", "/", "2"}], " ", "+", " ", "sR"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"pL", "[", "sL_", "]"}], "=", 
    RowBox[{
     RowBox[{"1", "/", "2"}], " ", "+", " ", "sL"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "We", " ", "compute", " ", "the", " ", "continuation", " ", "values", " ", 
    "for", " ", "strategies", " ", 
    RowBox[{"(", 
     RowBox[{"sL", ",", " ", "sR", ",", " ", "xL", ",", " ", "xR"}], ")"}]}], 
   "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "We", " ", "use", " ", "the", " ", "following", " ", "notation", " ", 
     "for", " ", "the", " ", 
     RowBox[{"policies", ":", " ", 
      RowBox[{"we", " ", "consider", " ", "x_i"}]}]}], ",", " ", 
    RowBox[{
    "the", " ", "\"\<concession\>\"", " ", "of", " ", "an", " ", "agent", " ",
      "i"}], ",", " ", 
    RowBox[{
     RowBox[{"hence", " ", 
      RowBox[{"L", "'"}], "s", " ", "policy", " ", "y_L"}], "=", "  ", 
     RowBox[{
      RowBox[{"0", " ", "+", " ", 
       RowBox[{"x_L", " ", "and", " ", 
        RowBox[{"R", "'"}], "s", " ", "policy", " ", "y_R"}]}], "=", " ", 
      RowBox[{"1", " ", "-", " ", "x_R"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"U", "=", 
    RowBox[{"Solve", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"wLl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xL", "+", " ", 
            RowBox[{"beta", "*", "wLl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wLr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wLr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xL", "+", " ", 
            RowBox[{"beta", "*", "wLl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wLr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wRl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wRl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xR", "+", " ", 
            RowBox[{"beta", "*", "wRr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wRr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wRl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{"b", "-", "xR", "+", " ", 
            RowBox[{"beta", "*", "wRr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wPl", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pL", "[", "sL", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"theta", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPl"}]}], " ", ")"}]}], "+", 
         RowBox[{
          RowBox[{"pL", "[", "sL", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR", "-", "theta"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPr"}]}], ")"}]}]}]}], "&&", 
       "\[IndentingNewLine]", 
       RowBox[{"wPr", "\[Equal]", 
        RowBox[{
         RowBox[{
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"pR", "[", "sR", "]"}]}], ")"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"theta", "-", "xL"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPl"}]}], " ", ")"}]}], "+", " ", 
         RowBox[{
          RowBox[{"pR", "[", "sR", "]"}], "*", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", 
             RowBox[{"(", 
              RowBox[{"1", "-", "xR", "-", "theta"}], ")"}]}], "+", " ", 
            RowBox[{"beta", "*", "wPr"}]}], ")"}]}]}]}]}], ",", 
      RowBox[{"{", 
       RowBox[{
       "wLl", ",", "wLr", ",", " ", "wRl", ",", "wRr", ",", "wPl", ",", 
        "wPr"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"R", "'"}], "s", " ", "continuation", " ", "value", " ", "when", 
    " ", "R", " ", "was", " ", "selected", " ", "last"}], "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"wRr", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", "xR_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wRr", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"L", "'"}], "s", " ", "continuation", " ", "value", " ", "when", 
    " ", "L", " ", "was", " ", "selected", " ", "last"}], "*)"}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"wLl", "[", 
    RowBox[{
    "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", "xR_"}], 
    "]"}], "=", 
   RowBox[{"FullSimplify", "[", " ", 
    RowBox[{"wLl", "/.", 
     RowBox[{"U", "[", 
      RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Principal", "'"}], "s", " ", "continuation", " ", "value", " ", 
    "when", " ", "L", " ", "was", " ", "selected", " ", "last"}], "*)"}], " ", 
  RowBox[{
   RowBox[{
    RowBox[{"wPl", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "theta_", ",", "sL_", ",", "sR_", ",", "xL_", 
      ",", "xR_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wPl", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], 
   ";"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Principal", "'"}], "s", " ", "continuation", " ", "value", " ", 
    "when", " ", "R", " ", "was", " ", "selected", " ", "last"}], "*)"}], " ", 
  RowBox[{
   RowBox[{
    RowBox[{"wPr", "[", 
     RowBox[{
     "beta_", ",", "b_", ",", "theta_", ",", "sL_", ",", "sR_", ",", "xL_", 
      ",", "xR_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", " ", 
     RowBox[{"wPr", "/.", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"Principal", "'"}], "s", " ", "and", " ", 
    RowBox[{"R", "'"}], "s", " ", "punishment"}], "**)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"alphaR", "[", 
    RowBox[{"m_", ",", "beta_", ",", "b_"}], "]"}], "=", 
   RowBox[{"FullSimplify", "[", " ", 
    RowBox[{"With", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"xL", "=", "0"}], "}"}], ",", " ", 
      RowBox[{"With", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"xR", "=", "0"}], "}"}], ",", " ", 
        RowBox[{"(*", "Polarization", "*)"}], "\[IndentingNewLine]", 
        RowBox[{"With", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"sL", "=", 
            RowBox[{"-", "m"}]}], "}"}], ",", " ", 
          RowBox[{"With", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"sR", "=", 
              RowBox[{"-", "m"}]}], "}"}], ",", " ", 
            RowBox[{"(*", 
             RowBox[{
              RowBox[{"P", "'"}], "s", " ", "response", " ", "to", " ", 
              "polarization"}], "*)"}], "\[IndentingNewLine]", 
            RowBox[{"wRr", "[", 
             RowBox[{
             "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", "xR"}], 
             "]"}]}], " ", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"R", "'"}], "s", " ", "payoff"}], "*)"}], 
           "\[IndentingNewLine]", "]"}]}], "]"}]}], "]"}]}], "]"}], "]"}]}], 
  " "}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"alphaP", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", " ", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xL", "=", "0"}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", "0"}], "}"}], ",", " ", 
       RowBox[{"(*", "Polarization", "*)"}], "\[IndentingNewLine]", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sL", "=", 
           RowBox[{"-", "m"}]}], "}"}], ",", " ", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"sR", "=", 
             RowBox[{"-", "m"}]}], "}"}], ",", " ", 
           RowBox[{"(*", 
            RowBox[{
             RowBox[{"P", "'"}], "s", " ", "response", " ", "to", " ", 
             "polarization"}], "*)"}], "\[IndentingNewLine]", 
           RowBox[{"wPl", "[", 
            RowBox[{
            "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", ",", "xL", 
             ",", "xR"}], "]"}]}], " ", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"P", "'"}], "s", " ", "payoff"}], "*)"}], 
          "\[IndentingNewLine]", "]"}]}], "]"}]}], "]"}]}], "]"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
  3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
  3.930805320270191*^9}, {3.930805463829403*^9, 3.930805505679604*^9}, {
  3.930806382500005*^9, 3.930806389975363*^9}, {3.930806947702305*^9, 
  3.93080697607811*^9}, {3.930808164012247*^9, 3.930808187691213*^9}, {
  3.930809543590355*^9, 3.9308095774612026`*^9}, {3.930811544479046*^9, 
  3.930811578007878*^9}, {3.93081332831584*^9, 3.9308133373053017`*^9}, {
  3.931013768130364*^9, 3.9310138855705223`*^9}, {3.931234550984955*^9, 
  3.931234678344317*^9}, {3.9312358510465946`*^9, 3.9312358525041847`*^9}, {
  3.9312370909999866`*^9, 3.9312371273918552`*^9}},
 CellLabel->
  "In[296]:=",ExpressionUUID->"64cebf9d-073f-ea41-974b-1ddd3dccac32"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "-", "b", "+", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "b"}], ")"}], " ", "m"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.93080814948249*^9, 3.9308082182376595`*^9, 3.9308084188023186`*^9, 
   3.930808882059442*^9, 3.930808988119919*^9, {3.930809065204977*^9, 
   3.930809080303507*^9}, 3.930809210641725*^9, 3.930809382416559*^9, 
   3.930809442635488*^9, 3.930809560572951*^9, 3.930809694973953*^9, 
   3.930809805406463*^9, 3.9308111518304844`*^9, 3.930811830968355*^9, 
   3.930811992011129*^9, 3.930812081322418*^9, 3.930812253075344*^9, 
   3.930812383580265*^9, 3.930812748325867*^9, 3.93081279992638*^9, 
   3.9308135672427845`*^9, 3.93081387240934*^9, 3.9309925123630257`*^9, 
   3.930993031661579*^9, {3.9309954609265575`*^9, 3.930995485954658*^9}, 
   3.930995618293108*^9, 3.930995996363365*^9, 3.93099619329355*^9, 
   3.930996652599076*^9, {3.931100543074074*^9, 3.931100556216585*^9}, 
   3.9311042943511734`*^9, 3.931224671829048*^9, 3.931228578776579*^9, 
   3.93122904591881*^9, 3.931234869874836*^9, 3.931234949578953*^9, 
   3.9312354848782225`*^9, 3.931237635226658*^9, 3.9312398771653996`*^9},
 CellLabel->
  "Out[304]=",ExpressionUUID->"0916a365-369c-f84c-a1f1-58eac780d0ed"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"m", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"4", " ", "theta"}]}], ")"}]}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.93080814948249*^9, 3.9308082182376595`*^9, 3.9308084188023186`*^9, 
   3.930808882059442*^9, 3.930808988119919*^9, {3.930809065204977*^9, 
   3.930809080303507*^9}, 3.930809210641725*^9, 3.930809382416559*^9, 
   3.930809442635488*^9, 3.930809560572951*^9, 3.930809694973953*^9, 
   3.930809805406463*^9, 3.9308111518304844`*^9, 3.930811830968355*^9, 
   3.930811992011129*^9, 3.930812081322418*^9, 3.930812253075344*^9, 
   3.930812383580265*^9, 3.930812748325867*^9, 3.93081279992638*^9, 
   3.9308135672427845`*^9, 3.93081387240934*^9, 3.9309925123630257`*^9, 
   3.930993031661579*^9, {3.9309954609265575`*^9, 3.930995485954658*^9}, 
   3.930995618293108*^9, 3.930995996363365*^9, 3.93099619329355*^9, 
   3.930996652599076*^9, {3.931100543074074*^9, 3.931100556216585*^9}, 
   3.9311042943511734`*^9, 3.931224671829048*^9, 3.931228578776579*^9, 
   3.93122904591881*^9, 3.931234869874836*^9, 3.931234949578953*^9, 
   3.9312354848782225`*^9, 3.931237635226658*^9, 3.931239877181019*^9},
 CellLabel->
  "Out[305]=",ExpressionUUID->"58057322-7ffa-144a-886b-c50c2e3c7cb7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"Agent", "'"}], "s", " ", "enforcement", " ", "constraints"}], 
   "**)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Making", " ", "use", " ", "of", " ", "the", " ", "fact", " ", "that", " ",
     "the", " ", "punishment", " ", "is", " ", "a", " ", "continuation", " ", 
    RowBox[{"contract", " ", "**", "pretending", "**", " ", "that"}], " ", 
    "R", " ", "had", " ", "been", " ", "selected", " ", "last"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"alphaL", "[", 
     RowBox[{
     "m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "sL_", ",", "sR_", 
      ",", "xL_", ",", "xR_"}], "]"}], "=", " ", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"wLr", "/.", " ", 
      RowBox[{"U", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"enforcementLmax", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", 
       "xR_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", " ", 
      RowBox[{
       RowBox[{"xL", " ", "+", " ", 
        RowBox[{"beta", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"alphaL", "[", 
            RowBox[{
            "m", ",", "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", 
             ",", "xL", ",", "xR"}], "]"}], " ", "-", " ", "wLl"}], ")"}]}]}],
        "/.", 
       RowBox[{"U", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"alphaL", " ", "still", " ", "to", " ", "be", " ", "computed"}], 
    "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"enforcementRmax", "[", 
      RowBox[{
      "m_", ",", "beta_", ",", "b_", ",", "sL_", ",", "sR_", ",", "xL_", ",", 
       "xR_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", " ", 
      RowBox[{
       RowBox[{"xR", " ", "+", " ", 
        RowBox[{"beta", "*", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"alphaR", "[", 
            RowBox[{"m", ",", "beta", ",", "b"}], "]"}], " ", "-", " ", 
           "wRr"}], ")"}]}]}], "/.", 
       RowBox[{"U", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], " "}]}]], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
   3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
   3.930805320270191*^9}, {3.930805575869022*^9, 3.930805622210422*^9}, {
   3.930806385819884*^9, 3.9308063869053955`*^9}, {3.930808312253744*^9, 
   3.930808313772142*^9}, {3.9310139173126717`*^9, 3.931013927089645*^9}, {
   3.931223679869446*^9, 3.931223685525821*^9}, {3.931223721020681*^9, 
   3.931223824858574*^9}, {3.93122388966173*^9, 3.931223965453657*^9}, {
   3.931224830123014*^9, 3.931224832690979*^9}, 3.931225122769794*^9, {
   3.931234687572666*^9, 3.9312346924706097`*^9}},
 CellLabel->
  "In[306]:=",ExpressionUUID->"ca6461fe-061f-4f49-8ffb-81af2720f723"],

Cell[BoxData[
 FractionBox[
  RowBox[{"1", "+", 
   RowBox[{"b", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "sR"}]}], ")"}]}], "+", "xL", "-", 
   RowBox[{"2", " ", "beta", " ", 
    RowBox[{"(", 
     RowBox[{"sL", "-", "sR"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "xR"}], ")"}]}], "-", "xR", "-", 
   RowBox[{"2", " ", "sR", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "xL", "+", "xR"}], ")"}]}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"sL", "-", "sR"}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.931225130975149*^9, 3.9312285812828465`*^9, 
  3.931229046023226*^9, 3.9312348706270275`*^9, 3.931234949813869*^9, 
  3.931235485094454*^9, 3.9312376354147873`*^9, 3.9312398773534184`*^9},
 CellLabel->
  "Out[306]=",ExpressionUUID->"d7c2cc5d-ac2a-fd47-9737-e9b493ed5cb2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", 
    RowBox[{"R", "'"}], " ", "Actions", " ", "in", " ", "the", " ", "Optimal",
     " ", "contract"}], "**)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Optimal", " ", 
    RowBox[{"contract", " ", "--"}], " ", "Solving", " ", 
    RowBox[{"R", "'"}], "s", " ", "enforcement", " ", "constraints"}], "*)"}],
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Substituting", " ", "that", " ", "we", " ", "know", " ", "that", " ", 
    RowBox[{"L", "'"}], "s", " ", "lead", " ", "is", " ", "followed", " ", 
    "by", " ", "endorsement", " ", "of", " ", "L"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"enforcementRmaxsubstituted", "[", 
     RowBox[{
     "m_", ",", "beta_", ",", "b_", ",", "xL_", ",", "xR_", ",", "sR_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sL", "=", " ", 
         RowBox[{"-", "m"}]}], "}"}], ",", " ", "\[IndentingNewLine]", 
       RowBox[{"enforcementRmax", "[", 
        RowBox[{
        "m", ",", "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", 
         "xR"}], "]"}]}], "]"}], "]"}]}], " ", "\[IndentingNewLine]", 
   RowBox[{"solvexR", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"enforcementRmaxsubstituted", "[", 
         RowBox[{
         "m", ",", "beta", ",", "b", ",", "xL", ",", "xR", ",", "sR"}], "]"}],
         "\[Equal]", "0"}], ",", " ", "xR"}], "]"}], "]"}]}], " ", 
   RowBox[{"(*", 
    RowBox[{
    "find", " ", "the", " ", "largest", " ", "concession", " ", "by", " ", 
     "R"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xRmax", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "xL_", ",", "sR_"}], "]"}], 
     "=", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"xR", "/.", 
       RowBox[{"solvexR", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}], " ", 
   RowBox[{"(*", 
    RowBox[{"store", " ", "that", " ", "concession"}], "*)"}], " ", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.930804775717911*^9, 3.930805007587097*^9}, {
   3.93080520307958*^9, 3.930805204647211*^9}, {3.930805239117742*^9, 
   3.930805310559788*^9}, {3.930805457628778*^9, 3.930805457999309*^9}, {
   3.9308055223329353`*^9, 3.930805609524002*^9}, {3.930805938198206*^9, 
   3.930806052383032*^9}, 3.930806092955227*^9, {3.9308063761939335`*^9, 
   3.930806400259508*^9}, 3.930808979208076*^9, 3.930809540152546*^9, {
   3.930994754932625*^9, 3.930994775012235*^9}, {3.9310139583250713`*^9, 
   3.931014071046791*^9}, {3.93110823249004*^9, 3.931108245895761*^9}, 
   3.931234713278494*^9, 3.931235826368673*^9},
 CellLabel->
  "In[309]:=",ExpressionUUID->"eab85a57-9569-1f4e-94eb-352e40a3b810"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"m", "+", "sR"}], ")"}]}], "+", 
   RowBox[{"beta", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "sR"}]}], ")"}], " ", "xL"}], "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", "xR"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.930808989066753*^9, {3.9308090668379993`*^9, 3.930809081003538*^9}, 
   3.930809211293928*^9, 3.930809383018484*^9, 3.930809443319468*^9, 
   3.930809561262247*^9, 3.930809696803011*^9, 3.930809807179065*^9, 
   3.9308111547385674`*^9, 3.930811833360319*^9, 3.9308119929134426`*^9, 
   3.930812082101515*^9, 3.9308122538553047`*^9, 3.9308123843226166`*^9, 
   3.9308127499783688`*^9, 3.9308128007353554`*^9, 3.930813568896534*^9, 
   3.9308138740907764`*^9, 3.930992514333635*^9, 3.930993032286356*^9, {
   3.930995461813087*^9, 3.9309954861627865`*^9}, 3.93099561847324*^9, 
   3.9309959969334583`*^9, 3.930996193753675*^9, 3.930996653086565*^9, 
   3.931100562014263*^9, 3.931104302022158*^9, 3.931224682053856*^9, 
   3.931225134478285*^9, 3.931228583661981*^9, 3.931229046080574*^9, 
   3.9312348712146873`*^9, 3.9312349502356453`*^9, 3.931235485544201*^9, 
   3.9312376358596096`*^9, 3.931239877785969*^9},
 CellLabel->
  "Out[309]=",ExpressionUUID->"0ba3794b-d907-fe43-b417-49ae0457bcf1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"xR", "\[Rule]", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}]}], "+", 
     FractionBox[
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "sR"}]}], ")"}], " ", "xL"}], 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{
  3.930808989066753*^9, {3.9308090668379993`*^9, 3.930809081003538*^9}, 
   3.930809211293928*^9, 3.930809383018484*^9, 3.930809443319468*^9, 
   3.930809561262247*^9, 3.930809696803011*^9, 3.930809807179065*^9, 
   3.9308111547385674`*^9, 3.930811833360319*^9, 3.9308119929134426`*^9, 
   3.930812082101515*^9, 3.9308122538553047`*^9, 3.9308123843226166`*^9, 
   3.9308127499783688`*^9, 3.9308128007353554`*^9, 3.930813568896534*^9, 
   3.9308138740907764`*^9, 3.930992514333635*^9, 3.930993032286356*^9, {
   3.930995461813087*^9, 3.9309954861627865`*^9}, 3.93099561847324*^9, 
   3.9309959969334583`*^9, 3.930996193753675*^9, 3.930996653086565*^9, 
   3.931100562014263*^9, 3.931104302022158*^9, 3.931224682053856*^9, 
   3.931225134478285*^9, 3.931228583661981*^9, 3.931229046080574*^9, 
   3.9312348712146873`*^9, 3.9312349502356453`*^9, 3.931235485544201*^9, 
   3.9312376358596096`*^9, 3.9312398778327885`*^9},
 CellLabel->
  "Out[310]=",ExpressionUUID->"d359e8a4-e221-e247-b0b5-57078d0e2e44"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Finding", " ", 
     RowBox[{"L", "'"}], "s", " ", "concessions", " ", "in", " ", "the", " ", 
     "Optimal", " ", "contract"}], ",", " ", "xL"}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"enforcementLmaxsubstituted", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "xL_", ",", "sR_"}], "]"}], 
    "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"xR", "=", " ", 
         RowBox[{"xRmax", "[", 
          RowBox[{"m", ",", "beta", ",", "b", ",", "xL", ",", "sR"}], "]"}]}],
         "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"sL", "=", " ", 
           RowBox[{"-", "m"}]}], "}"}], ",", 
         RowBox[{"enforcementLmax", "[", 
          RowBox[{
          "m", ",", "beta", ",", "b", ",", "sL", ",", "sR", ",", "xL", ",", 
           "xR"}], "]"}]}], "]"}]}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"xLmaxsolve", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"enforcementLmaxsubstituted", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "xL", ",", "sR"}], "]"}], 
        "\[Equal]", "0"}], ",", "xL"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"xLmax", "[", 
      RowBox[{"m_", ",", "beta_", ",", "b_", ",", "sR_"}], "]"}], "=", " ", 
     RowBox[{"FullSimplify", "[", 
      RowBox[{"xL", "/.", 
       RowBox[{"xLmaxsolve", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.930807467970919*^9, 3.930807583083481*^9}, {
   3.93080762798102*^9, 3.9308076287749233`*^9}, {3.930809045578541*^9, 
   3.930809077801243*^9}, {3.9308092680935*^9, 3.93080927874716*^9}, 
   3.930809707419763*^9, 3.930812568428266*^9, {3.9309952181328487`*^9, 
   3.930995257492598*^9}, 3.9309954837229385`*^9, {3.9309960250833073`*^9, 
   3.930996026618568*^9}, {3.931224038772751*^9, 3.9312240958674793`*^9}, 
   3.93122470495677*^9, 3.931234730387327*^9},
 CellLabel->
  "In[312]:=",ExpressionUUID->"4f0182b2-e5ea-3940-ba6e-3d6d62cb5c68"],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", 
     RowBox[{"(", 
      RowBox[{"m", "+", "sR"}], ")"}]}], ")"}]}], "+", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "-", 
      RowBox[{"2", " ", "beta", " ", "sR"}]}], ")"}], " ", "xL"}], 
   RowBox[{
    RowBox[{"-", "2"}], "+", "beta", "+", 
    RowBox[{"2", " ", "beta", " ", "m"}]}]]}]], "Output",
 CellChangeTimes->{3.9312247089730816`*^9, 3.9312248442792225`*^9, 
  3.9312251372277527`*^9, 3.931228585838573*^9, 3.9312290461984196`*^9, 
  3.931234871402918*^9, 3.931234950453865*^9, 3.931235485744005*^9, 
  3.9312376360626583`*^9, 3.931239877989008*^9},
 CellLabel->
  "Out[312]=",ExpressionUUID->"c5c054e7-e7b5-b846-8dca-d0591910ca4c"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{"xL", "\[Rule]", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{"(", 
        RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", "beta", "+", 
         RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
       RowBox[{"(", 
        RowBox[{"m", "+", "sR"}], ")"}]}], 
      RowBox[{"2", "+", 
       RowBox[{"beta", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"2", " ", "sR"}]}], ")"}]}]}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{3.9312247089730816`*^9, 3.9312248442792225`*^9, 
  3.9312251372277527`*^9, 3.931228585838573*^9, 3.9312290461984196`*^9, 
  3.931234871402918*^9, 3.931234950453865*^9, 3.931235485744005*^9, 
  3.9312376360626583`*^9, 3.931239878004595*^9},
 CellLabel->
  "Out[313]=",ExpressionUUID->"0067137e-3f5a-5f42-bdc3-58ce019bc9c3"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"*", "Obtaining", " ", 
    RowBox[{"L", "'"}], "s", " ", "Punishment", " ", "and", " ", "the", " ", 
    "Optimal", " ", 
    RowBox[{"Contract", " ", "--"}], " ", "we", " ", "substitute", " ", 
    "xL"}], "**)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"wPrOptimalContractprevious", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "sR_"}], 
     "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sL", "=", 
         RowBox[{"-", "m"}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xL", "=", 
           RowBox[{"xLmax", "[", 
            RowBox[{"m", ",", "beta", ",", "b", ",", "sR"}], "]"}]}], "}"}], 
         ",", 
         RowBox[{"With", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"xR", "=", 
             RowBox[{"xRmax", "[", 
              RowBox[{"m", ",", "beta", ",", "b", ",", "xL", ",", "sR"}], 
              "]"}]}], "}"}], ",", 
           RowBox[{"wPr", "[", 
            RowBox[{
            "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", ",", "xL", 
             ",", "xR"}], "]"}]}], "]"}]}], "]"}]}], "]"}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.9308076460871487`*^9, 3.930807723786884*^9}, {
   3.9309952763726845`*^9, 3.9309954510332127`*^9}, 3.93099563569314*^9, {
   3.930996163903906*^9, 3.930996187618568*^9}, {3.9309963146188564`*^9, 
   3.930996315345051*^9}, {3.930996547673929*^9, 3.930996569214369*^9}, 
   3.931224101370556*^9, {3.931224131820215*^9, 3.931224132196823*^9}, {
   3.931225302205349*^9, 3.931225304741787*^9}, {3.9312347440385513`*^9, 
   3.931234746414007*^9}},
 CellLabel->
  "In[315]:=",ExpressionUUID->"e5ac29a8-ce30-8046-9c03-955dd9124847"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    RowBox[{"sR", " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "4"}], "+", 
       RowBox[{"8", " ", "theta"}]}], ")"}]}], "+", 
    RowBox[{
     SuperscriptBox["beta", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"m", "+", "sR"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "3"}], "-", 
       RowBox[{"6", " ", "m"}], "+", 
       RowBox[{"2", " ", "sR"}], "+", 
       RowBox[{"4", " ", "m", " ", "sR"}], "+", 
       RowBox[{"b", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", 
          RowBox[{"6", " ", "m"}], "-", 
          RowBox[{"2", " ", "sR"}], "+", 
          RowBox[{"4", " ", "m", " ", "sR"}]}], ")"}]}], "+", 
       RowBox[{"2", " ", "theta"}], "-", 
       RowBox[{"4", " ", "sR", " ", "theta"}]}], ")"}]}], "+", 
    RowBox[{"beta", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"4", " ", "m", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "b", "-", "theta"}], ")"}]}], "+", 
       RowBox[{"4", " ", "sR", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "b", "-", "sR", "+", 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "sR"}], ")"}], " ", "theta"}]}], 
         ")"}]}]}], ")"}]}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{"m", "+", "sR"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "sR"}]}], ")"}]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.930996577274344*^9, 3.930996697264374*^9, 
  3.931100631707826*^9, 3.931104339146824*^9, 3.931225165672668*^9, 
  3.931225307547556*^9, 3.9312285880809784`*^9, 3.931229046207569*^9, 
  3.9312348722956142`*^9, 3.931234951057921*^9, 3.931235486343673*^9, 
  3.931237636697443*^9, 3.931239878615017*^9},
 CellLabel->
  "Out[315]=",ExpressionUUID->"5d54ad52-b276-7540-b70c-243a8b380fb1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DwPrOptimalContractprevious", "[", 
   RowBox[{"m_", ",", "beta_", ",", "sR_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"wPrOptimalContractprevious", "[", 
      RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "sR"}], "]"}], 
     ",", "b"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.931105805690628*^9, 3.931105845817859*^9}},
 CellLabel->
  "In[316]:=",ExpressionUUID->"de6c88ff-9f47-8940-9229-97f083c4a356"],

Cell[BoxData[
 FractionBox[
  RowBox[{"beta", " ", 
   RowBox[{"(", 
    RowBox[{"m", "+", "sR"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "-", 
        RowBox[{"2", " ", "sR"}], "+", 
        RowBox[{"m", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "6"}], "+", 
           RowBox[{"4", " ", "sR"}]}], ")"}]}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "sR"}]}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{{3.931105829303093*^9, 3.931105834195322*^9}, 
   3.931225171679188*^9, 3.931225309325258*^9, 3.931228596252704*^9, 
   3.931229046298319*^9, 3.931234872390009*^9, 3.931234951136017*^9, 
   3.9312354864270935`*^9, 3.931237636775551*^9, 3.931239878686369*^9},
 CellLabel->
  "Out[316]=",ExpressionUUID->"40d4bbdd-bfe8-4e46-8fb0-1c1ca1957f8d"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"wPlOptimalContractprevious", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_", ",", "sR_"}], "]"}], 
  "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"xL", "=", 
       RowBox[{"xLmax", "[", 
        RowBox[{"m", ",", "beta", ",", "b", ",", "sR"}], "]"}]}], "}"}], ",", 
     RowBox[{"With", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"sL", "=", 
         RowBox[{"-", "m"}]}], "}"}], ",", 
       RowBox[{"With", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"xR", "=", 
           RowBox[{"xRmax", "[", 
            RowBox[{"m", ",", "beta", ",", "b", ",", "xL", ",", "sR"}], 
            "]"}]}], "}"}], ",", 
         RowBox[{"wPl", "[", 
          RowBox[{
          "beta", ",", "b", ",", "theta", ",", "sL", ",", "sR", ",", "xL", 
           ",", "xR"}], "]"}]}], "]"}]}], "]"}]}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.9311043500030804`*^9, 3.931104358356985*^9}, {
  3.931225177112255*^9, 3.931225195084898*^9}, {3.931234760191244*^9, 
  3.9312347695194645`*^9}},
 CellLabel->
  "In[317]:=",ExpressionUUID->"0151050e-8d33-a541-a321-ec295f773c38"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", "2"}], "+", 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", "b"}], ")"}], " ", 
     SuperscriptBox["beta", "3"], " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "m"}]}], ")"}], " ", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}], "2"]}], "+", 
    RowBox[{"m", " ", 
     RowBox[{"(", 
      RowBox[{"4", "-", 
       RowBox[{"8", " ", "theta"}]}], ")"}]}], "-", 
    RowBox[{
     SuperscriptBox["beta", "2"], " ", 
     RowBox[{"(", 
      RowBox[{"m", "+", "sR"}], ")"}], " ", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"1", "+", "b"}], ")"}], " ", 
        RowBox[{"(", 
         RowBox[{"1", "+", 
          RowBox[{"4", " ", "m", " ", 
           RowBox[{"(", 
            RowBox[{"2", "+", "m"}], ")"}]}], "+", 
          RowBox[{"4", " ", "sR"}]}], ")"}]}], "+", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "-", 
          RowBox[{"4", " ", "sR"}]}], ")"}], " ", "theta"}]}], ")"}]}], "+", 
    RowBox[{"beta", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "sR"}], "+", 
       RowBox[{"4", " ", "sR", " ", 
        RowBox[{"(", 
         RowBox[{"b", "+", "theta"}], ")"}]}], "+", 
       RowBox[{"m", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", 
          RowBox[{"4", " ", "b"}], "+", 
          RowBox[{"4", " ", "sR"}], "+", 
          RowBox[{"8", " ", "theta"}], "-", 
          RowBox[{"8", " ", "sR", " ", "theta"}]}], ")"}]}]}], ")"}]}]}], 
   ")"}], "/", 
  RowBox[{"(", 
   RowBox[{"2", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{"m", "+", "sR"}], ")"}]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "sR"}]}], ")"}]}]}], ")"}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.931104374646914*^9, 3.931225207045545*^9, 
  3.931225311556789*^9, 3.931228598492323*^9, 3.9312290463357735`*^9, 
  3.931234872888889*^9, 3.931234951409954*^9, 3.9312354867437*^9, 
  3.9312376371427536`*^9, 3.931239879031618*^9},
 CellLabel->
  "Out[317]=",ExpressionUUID->"751ea761-b6b3-9343-ba1b-04397f9377f0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DwPlOptimalContractprevious", "[", 
   RowBox[{"m_", ",", "beta_", ",", "sR_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"wPlOptimalContractprevious", "[", 
      RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "sR"}], "]"}], 
     ",", "b"}], "]"}], "]"}]}]], "Input",
 CellChangeTimes->{{3.931104771516192*^9, 3.9311048349181747`*^9}, {
  3.931105096300405*^9, 3.931105127947887*^9}},
 CellLabel->
  "In[318]:=",ExpressionUUID->"e4a61d79-9b58-a648-85af-535953062f39"],

Cell[BoxData[
 FractionBox[
  RowBox[{"beta", " ", 
   RowBox[{"(", 
    RowBox[{"m", "+", "sR"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", 
     RowBox[{"2", " ", 
      SuperscriptBox["beta", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"2", " ", "m"}]}], ")"}], " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}]}], "-", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", 
        RowBox[{"4", " ", "m", " ", 
         RowBox[{"(", 
          RowBox[{"2", "+", "m"}], ")"}]}], "+", 
        RowBox[{"4", " ", "sR"}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", "beta"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", "sR"}], ")"}]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "sR"}]}], ")"}]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{{3.931104807450384*^9, 3.931104835687914*^9}, 
   3.9311049259301987`*^9, 3.931105129722114*^9, 3.931225213959535*^9, 
   3.931225313083057*^9, 3.931228600998266*^9, 3.931229046424005*^9, 
   3.931234872988911*^9, 3.931234951529528*^9, 3.931235486860504*^9, 
   3.9312376372520695`*^9, 3.931239879140972*^9},
 CellLabel->
  "Out[318]=",ExpressionUUID->"919e3852-9303-9e4a-880c-8a00a9f7d5c9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Showing", " ", "that", " ", "the", " ", 
   RowBox[{"principal", "'"}], "s", " ", "payoff", " ", "regardless", " ", 
   "of", " ", "who", " ", "leads", " ", "STRICTLY", " ", "decreases", " ", 
   "in", " ", "b", " ", "for", " ", "any", " ", "interior", " ", "sR", " ", 
   "meaning", " ", "that", " ", "if", " ", "some", " ", "sR", " ", "is", " ", 
   "feasible", " ", "for", " ", "some", " ", "b", " ", "it", " ", "provides", 
   " ", "higher", " ", "expected", " ", "payoffs", " ", "for", " ", "larger", 
   " ", 
   RowBox[{"b", "'"}], "s"}], "*)"}]], "Input",
 CellChangeTimes->{{3.93110549755381*^9, 3.9311055986619625`*^9}, {
  3.931105633491665*^9, 3.931105634403734*^9}, {3.9311059523060474`*^9, 
  3.9311059823615417`*^9}, {3.931106021994032*^9, 3.931106028026575*^9}},
 CellLabel->
  "In[319]:=",ExpressionUUID->"51c0619f-915b-8344-9002-0dabe6e261c9"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "To", " ", "Do", " ", "this", " ", "we", " ", "need", " ", "to", " ", 
      "condition", " ", "on", " ", "the", " ", "fact", " ", 
      RowBox[{"that", " ", "\\", "overline"}], 
      RowBox[{"{", 
       RowBox[{"\\", "theta"}], "}"}]}], "<", 
     RowBox[{"1", "/", "2"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"that", " ", "b"}], "<", "bhat"}], " ", "&&", " ", 
     RowBox[{"theta", ">", 
      RowBox[{
       RowBox[{"\\", "overlineline"}], " ", "theta"}]}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m_", ",", "beta_", ",", "b_"}], "]"}], "=", 
    RowBox[{"2", " ", 
     RowBox[{"beta", "/", 
      RowBox[{"(", 
       RowBox[{"1", "-", "beta"}], ")"}]}], 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"beta", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"1", "/", "2"}], "+", "m"}], ")"}]}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"b", "+", "1"}], ")"}], "m"}]}], " ", 
   RowBox[{"(*", 
    RowBox[{"from", " ", "the", " ", "paper"}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"bHat", "[", 
     RowBox[{"m_", ",", "beta_", ",", "theta_"}], "]"}], "=", " ", 
    FractionBox[
     RowBox[{"4", "+", 
      RowBox[{
       SuperscriptBox["beta", "2"], " ", 
       RowBox[{"(", 
        RowBox[{"2", "+", 
         RowBox[{"8", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"m", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "theta"}], ")"}]}]}], ")"}]}], "-", 
         RowBox[{"2", " ", "theta"}]}], ")"}]}], "+", 
      RowBox[{"8", " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", "theta"}], ")"}]}], "-", 
      RowBox[{"8", " ", "theta"}]}], 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{"4", "+", 
        RowBox[{"beta", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "2"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}], 
       ")"}]}]], " ", 
    RowBox[{"(*", 
     RowBox[{"from", " ", "the", " ", "other", " ", "file"}], 
     "*)"}]}]}]}]], "Input",
 CellChangeTimes->{{3.931105615547983*^9, 3.9311057487032146`*^9}},
 CellLabel->
  "In[320]:=",ExpressionUUID->"bb546f80-c989-8645-b489-3008a735fe36"],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "b"}], ")"}], " ", "beta", " ", "m", " ", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        FractionBox["1", "2"], "+", "m"}], ")"}]}]}], ")"}]}], 
  RowBox[{"1", "-", "beta"}]]], "Output",
 CellChangeTimes->{3.9311059410843544`*^9, 3.9312252172427197`*^9, 
  3.931225315130667*^9, 3.931228603662239*^9, 3.9312290464803257`*^9, 
  3.931234873020153*^9, 3.9312349515607433`*^9, 3.931235486894001*^9, 
  3.931237637283312*^9, 3.9312398791565895`*^9},
 CellLabel->
  "Out[320]=",ExpressionUUID->"f19cfda2-cf89-f249-bdc4-49ceeeacf7fe"],

Cell[BoxData[
 FractionBox[
  RowBox[{"4", "+", 
   RowBox[{
    SuperscriptBox["beta", "2"], " ", 
    RowBox[{"(", 
     RowBox[{"2", "+", 
      RowBox[{"8", " ", "m", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"m", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "theta"}], ")"}]}]}], ")"}]}], "-", 
      RowBox[{"2", " ", "theta"}]}], ")"}]}], "+", 
   RowBox[{"8", " ", "beta", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", "theta"}], ")"}]}], "-", 
   RowBox[{"8", " ", "theta"}]}], 
  RowBox[{"beta", " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", 
     RowBox[{"beta", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "2"}], "+", "m"}], ")"}], " ", "m"}]}], ")"}]}]}], 
    ")"}]}]]], "Output",
 CellChangeTimes->{3.9311059410843544`*^9, 3.9312252172427197`*^9, 
  3.931225315130667*^9, 3.931228603662239*^9, 3.9312290464803257`*^9, 
  3.931234873020153*^9, 3.9312349515607433`*^9, 3.931235486894001*^9, 
  3.931237637283312*^9, 3.9312398791721783`*^9},
 CellLabel->
  "Out[321]=",ExpressionUUID->"a688520c-72f8-f54b-8870-88906b72782e"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"DwPrOptimalContractprevious", "[", 
     RowBox[{"m", ",", "beta", ",", "sR"}], "]"}], "<=", "0"}], " ", "&&", 
   RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
   RowBox[{"0", "<", "m", "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "beta"}], ")"}], "\[GreaterEqual]", " ", 
    RowBox[{"2", " ", "m", " ", "beta"}]}], "&&", 
   RowBox[{"m", ">", "sR", ">", 
    RowBox[{"-", "m"}]}], "&&", 
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{"0", "<", "b", "<", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "&&", " ", 
   RowBox[{"theta", ">", 
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.931105911229879*^9, 3.9311059179671493`*^9}, {
   3.93110835048382*^9, 3.931108351936518*^9}, {3.931234926270271*^9, 
   3.93123492771311*^9}, {3.931235096466263*^9, 3.931235099460266*^9}, 
   3.931235141424223*^9, 3.931235565409292*^9},
 CellLabel->
  "In[322]:=",ExpressionUUID->"18436303-a3c1-4647-bf2e-879d6a05dd8f"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.931105921371958*^9, 3.93110594596912*^9}, 
   3.9311083566026287`*^9, 3.931225219945871*^9, 3.931225317303949*^9, 
   3.9312286071783104`*^9, 3.9312290465886135`*^9, 3.931234874450394*^9, 
   3.9312349517488766`*^9, 3.931235487093643*^9, 3.9312376374665585`*^9, 
   3.931239879344698*^9},
 CellLabel->
  "Out[322]=",ExpressionUUID->"a135fd3f-32f9-3540-b05a-f6574619765c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"DwPlOptimalContractprevious", "[", 
     RowBox[{"m", ",", "beta", ",", "sR"}], "]"}], "<=", "0"}], " ", "&&", 
   RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
   RowBox[{"0", "<", "m", "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "beta"}], ")"}], "\[GreaterEqual]", " ", 
    RowBox[{"2", " ", "m", " ", "beta"}]}], "&&", 
   RowBox[{"m", ">", "sR", ">", 
    RowBox[{"-", "m"}]}], "&&", " ", 
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{"0", "<", " ", "b", "<", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "&&", " ", 
   RowBox[{"theta", ">", 
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.931104838949198*^9, 3.931104905525574*^9}, 
   3.9311049379432507`*^9, {3.931104970724781*^9, 3.931105073277628*^9}, {
   3.9311052410890694`*^9, 3.9311052755808144`*^9}, {3.9311053345416737`*^9, 
   3.931105368312065*^9}, {3.9311054163689537`*^9, 3.931105468697939*^9}, 
   3.931105509122244*^9, {3.931105758783125*^9, 3.9311057810433273`*^9}, {
   3.9311083405936184`*^9, 3.931108345351621*^9}, {3.931234921990251*^9, 
   3.931234923289074*^9}, {3.931235090402654*^9, 3.931235092794913*^9}, 
   3.9312351252981234`*^9},
 CellLabel->
  "In[323]:=",ExpressionUUID->"26e445ec-8308-b342-803c-fc4d6f05cf4a"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.931105044282245*^9, 3.931105074923549*^9}, {
   3.931105242964648*^9, 3.931105261080538*^9}, 3.9311053723530197`*^9, 
   3.931105475112957*^9, 3.9311055134521637`*^9, 3.93110594913829*^9, 
   3.931108360139433*^9, 3.9312252216589584`*^9, 3.931225319521961*^9, 
   3.931228608369663*^9, 3.9312290467150135`*^9, 3.931234875163967*^9, 
   3.931234951975254*^9, 3.931235487343418*^9, 3.9312376376859207`*^9, 
   3.93123987959461*^9},
 CellLabel->
  "Out[323]=",ExpressionUUID->"1aa8df99-a844-4848-885b-8c40c6ef2e8d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
  "Show", " ", "that", " ", "the", " ", "distance", " ", "to", " ", "the", 
   " ", "punishment", " ", "strictly", " ", "decreases", " ", "for", " ", 
   "every", " ", "sR"}], "*)"}]], "Input",
 CellChangeTimes->{{3.931106100052065*^9, 3.931106122802336*^9}, {
  3.93110706491782*^9, 3.93110706730642*^9}, {3.931107507732395*^9, 
  3.931107508083332*^9}},
 CellLabel->
  "In[324]:=",ExpressionUUID->"fb49ce9c-5e32-2f49-af95-e271ecd4fca8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"DwPrOptimalContractprevious", "[", 
      RowBox[{"m", ",", "beta", ",", "sR"}], "]"}], "-", " ", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"alphaP", "[", 
        RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], ",", "b"}],
       "]"}]}], "<=", "0"}], " ", "&&", 
   RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
   RowBox[{"0", "<", "m", "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "beta"}], ")"}], "\[GreaterEqual]", " ", 
    RowBox[{"2", " ", "m", " ", "beta"}]}], "&&", 
   RowBox[{"m", ">", "sR", ">", 
    RowBox[{"-", "m"}]}], "&&", " ", 
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", "  ", 
   RowBox[{"0", "<", "b", "<", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "&&", " ", 
   RowBox[{"theta", ">", 
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.931106032633737*^9, 3.931106087995478*^9}, {
   3.931108333164715*^9, 3.93110833495437*^9}, {3.93123491198493*^9, 
   3.931234913109489*^9}, {3.931235068258365*^9, 3.931235071500849*^9}, 
   3.931235116971538*^9, 3.931235560595051*^9},
 CellLabel->
  "In[325]:=",ExpressionUUID->"e1ea0fb7-6317-d04e-9130-318750ff1fe6"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{3.931106096123548*^9, 3.931108364796154*^9, 
  3.931225223906206*^9, 3.931225321218979*^9, 3.9312286103429203`*^9, 
  3.9312290468321857`*^9, 3.9312348757342186`*^9, 3.9312349521885395`*^9, 
  3.931235487543268*^9, 3.9312376378890285`*^9, 3.9312398797751293`*^9},
 CellLabel->
  "Out[325]=",ExpressionUUID->"1564ab5e-0636-8941-a019-abbe16bcf487"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"SANITY", " ", "CHECK"}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Checking", " ", "whether", " ", "for", " ", "no", " ", "concession", " ",
      "by", " ", "R", " ", 
     RowBox[{"(", 
      RowBox[{"because", " ", "of", " ", "no", " ", "support"}], ")"}], " ", 
     "there", " ", "is", " ", "still", " ", "concessions", " ", "by", " ", 
     "L", " ", 
     RowBox[{"possible", " ", "--"}]}], "-", " ", 
    RowBox[{"should", " ", "return", " ", "0"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.9311087737327633`*^9, 3.931108805805004*^9}, {
   3.931225430604105*^9, 3.931225442068174*^9}, 3.931235894885729*^9},
 CellLabel->
  "In[326]:=",ExpressionUUID->"e84f6539-2386-454d-aba1-a84de497276f"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"With", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"sR", "=", 
       RowBox[{"-", "m"}]}], "}"}], ",", 
     RowBox[{"wPrOptimalContractprevious", "[", 
      RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "sR"}], "]"}]}], 
    "]"}], "-", " ", 
   RowBox[{"alphaP", "[", 
    RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.931107665988229*^9, 3.931107725391979*^9}, {
   3.931107768116186*^9, 3.931107786803781*^9}, 3.9311083700328503`*^9, 
   3.931239637421055*^9, {3.931239756267168*^9, 3.93123977628491*^9}},
 CellLabel->
  "In[327]:=",ExpressionUUID->"c4b19602-2ba0-8741-8480-76122103c312"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.931107691762713*^9, 3.931107727751789*^9}, 
   3.931107827563322*^9, 3.931108372704653*^9, 3.9312252265972*^9, 
   3.931225426968851*^9, 3.9312286128609314`*^9, 3.931229046876007*^9, 
   3.931234876049188*^9, 3.9312349524327755`*^9, 3.9312354877761974`*^9, 
   3.9312376381701813`*^9, 3.9312396413575*^9, 3.9312397795642567`*^9, 
   3.931239879821995*^9},
 CellLabel->
  "Out[327]=",ExpressionUUID->"e849971e-9bc5-9544-9227-049c1498fc06"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Solving", " ", "for", " ", "the", " ", "sR", " ", "such", " ", "that", 
     " ", 
     RowBox[{"P", "'"}], "s", " ", "enforcement", " ", "constraint", " ", 
     "on"}], "-", 
    RowBox[{"path", " ", "binds", " ", "also", " ", "after", " ", 
     RowBox[{"R", "'"}], "s", " ", "lead"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"Trivially", " ", "holds", " ", "when", " ", "sR"}], "=", 
    RowBox[{
     RowBox[{"-", 
      RowBox[{"m", ".", " ", "We"}]}], " ", "are", " ", "looking", " ", "for",
      " ", "the", " ", "second", " ", "root"}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.931228616739496*^9, 3.9312286865557*^9}, 
   3.931228744442507*^9, 3.93123501235894*^9},
 CellLabel->
  "In[328]:=",ExpressionUUID->"9c91a5ac-e5ca-7d4d-9ab8-79f8986cce6d"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"solvesRmax", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"wPrOptimalContractprevious", "[", 
       RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "sR"}], "]"}], "==", 
      RowBox[{"alphaP", "[", 
       RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], ",", 
     "sR"}], "]"}], "]"}]}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{"sRmax", "[", 
    RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"sR", "/.", " ", 
     RowBox[{"solvesRmax", "[", 
      RowBox[{"[", "2", "]"}], "]"}]}], "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"sRmax", "[", 
      RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], ",", "b"}], 
    "]"}], "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "We", " ", "show", " ", "now", " ", "that", " ", "the", " ", "second", 
     " ", "root", " ", "is", " ", "non"}], "-", 
    RowBox[{"decreasing", " ", "in", " ", "b"}]}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"sRmax", "[", 
        RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], ",", "b"}],
       "]"}], "]"}], "<", "0"}], "&&", 
   RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
   RowBox[{"0", "<", "m", "<", 
    RowBox[{"1", "/", "2"}]}], "&&", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "beta"}], ")"}], ">=", 
    RowBox[{"2", "  ", "m", "  ", "beta"}]}], "&&", 
   RowBox[{"m", ">", "sR", ">", 
    RowBox[{"-", "m"}]}], "&&", 
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "<", 
    RowBox[{"1", "/", "2"}]}], "&&", 
   RowBox[{"0", "<", "b", "<", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "&&", 
   RowBox[{"theta", ">", 
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.9308076460871487`*^9, 3.930807723786884*^9}, {
   3.9309952763726845`*^9, 3.9309954510332127`*^9}, 3.93099563569314*^9, {
   3.930996163903906*^9, 3.930996187618568*^9}, {3.9309963146188564`*^9, 
   3.930996315345051*^9}, {3.930996547673929*^9, 3.930996569214369*^9}, 
   3.931225474830682*^9, {3.931237665238426*^9, 3.9312377065942936`*^9}, {
   3.9312378951599827`*^9, 3.9312379139223385`*^9}, 3.9312380083234577`*^9, {
   3.931238072048218*^9, 3.9312381226721497`*^9}},
 CellLabel->
  "In[329]:=",ExpressionUUID->"ffb1ff9d-7af3-e94d-9f0b-11ca55cae1b0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"sR", "\[Rule]", 
     RowBox[{"-", "m"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"sR", "\[Rule]", 
     FractionBox[
      RowBox[{"4", "-", 
       RowBox[{"8", " ", "theta"}], "+", 
       RowBox[{
        SuperscriptBox["beta", "2"], " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "b", "+", 
          RowBox[{"8", " ", "m"}], "+", 
          RowBox[{"6", " ", "b", " ", "m"}], "-", 
          RowBox[{"2", " ", "theta"}], "-", 
          RowBox[{"4", " ", "m", " ", "theta"}]}], ")"}]}], "-", 
       RowBox[{"4", " ", "beta", " ", 
        RowBox[{"(", 
         RowBox[{"2", "+", "b", "+", "m", "-", 
          RowBox[{"2", " ", "theta"}], "-", 
          RowBox[{"2", " ", "m", " ", "theta"}]}], ")"}]}]}], 
      RowBox[{"2", " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "2"}], "+", 
         RowBox[{"b", " ", "beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"2", " ", "m"}]}], ")"}]}], "+", 
         RowBox[{"4", " ", "theta"}], "-", 
         RowBox[{"2", " ", "beta", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"2", " ", "m", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "theta"}], ")"}]}], "+", "theta"}], 
           ")"}]}]}], ")"}]}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.930996191296009*^9, 3.930996217813755*^9}, 
   3.930996333588756*^9, 3.931100674857521*^9, {3.931225461128856*^9, 
   3.931225477640749*^9}, 3.931228689548311*^9, 3.931229046918743*^9, 
   3.931234876111674*^9, 3.931234952498543*^9, 3.931235487843239*^9, 
   3.931237638232668*^9, 3.9312376975686054`*^9, 3.931237890565256*^9, 
   3.93123792852717*^9, 3.9312380161754723`*^9, 3.931239879868891*^9},
 CellLabel->
  "Out[329]=",ExpressionUUID->"9be280b5-3343-9e46-8cbf-3401a27ce291"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", "beta", "+", 
      RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "3"}], "+", "beta", "+", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "beta"}], ")"}], " ", "m"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"2", " ", "theta"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "2"}], "+", 
      RowBox[{"b", " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"2", " ", "m"}]}], ")"}]}], "+", 
      RowBox[{"4", " ", "theta"}], "-", 
      RowBox[{"2", " ", "beta", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"2", " ", "m", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "theta"}], ")"}]}], "+", "theta"}], 
        ")"}]}]}], ")"}], "2"]]}]], "Output",
 CellChangeTimes->{{3.930996191296009*^9, 3.930996217813755*^9}, 
   3.930996333588756*^9, 3.931100674857521*^9, {3.931225461128856*^9, 
   3.931225477640749*^9}, 3.931228689548311*^9, 3.931229046918743*^9, 
   3.931234876111674*^9, 3.931234952498543*^9, 3.931235487843239*^9, 
   3.931237638232668*^9, 3.9312376975686054`*^9, 3.931237890565256*^9, 
   3.93123792852717*^9, 3.9312380161754723`*^9, 3.93123987988451*^9},
 CellLabel->
  "Out[331]=",ExpressionUUID->"811dbfba-8077-0046-bd74-aa0a06f0da67"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.930996191296009*^9, 3.930996217813755*^9}, 
   3.930996333588756*^9, 3.931100674857521*^9, {3.931225461128856*^9, 
   3.931225477640749*^9}, 3.931228689548311*^9, 3.931229046918743*^9, 
   3.931234876111674*^9, 3.931234952498543*^9, 3.931235487843239*^9, 
   3.931237638232668*^9, 3.9312376975686054`*^9, 3.931237890565256*^9, 
   3.93123792852717*^9, 3.9312380161754723`*^9, 3.931239880070305*^9},
 CellLabel->
  "Out[332]=",ExpressionUUID->"3b2d1126-8228-bd44-9dc9-b6b6bfa2fa00"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Now", " ", "we", " ", "have", " ", "to", " ", "show", " ", "that", " ", 
     "at", " ", "this", " ", "root"}], ",", " ", 
    RowBox[{
     RowBox[{
     "P", " ", "is", " ", "better", " ", "off", " ", "than", " ", "at", " ", 
      "sR"}], "=", 
     RowBox[{"-", "m"}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{"To", " ", "do", " ", "this"}], ",", " ", 
    RowBox[{"we", " ", "need"}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.931228691479919*^9, 3.93122871424315*^9}, {
   3.931228754458563*^9, 3.931228775587829*^9}, {3.931228836819345*^9, 
   3.9312288409701004`*^9}, 3.931239625967573*^9},
 CellLabel->
  "In[333]:=",ExpressionUUID->"6a7b293b-1269-0a4e-baf3-f8031d2c33b8"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"benefitsAfterLleads", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"wPlOptimalContractprevious", "[", 
     RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", 
      RowBox[{"sRmax", "[", 
       RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], "]"}], 
    "-", 
    RowBox[{"alphaP", "[", 
     RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.9312287850524883`*^9, 3.9312288143393*^9}, {
  3.931228932749792*^9, 3.9312289683376637`*^9}, {3.9312290050279083`*^9, 
  3.931229009939115*^9}},
 CellLabel->
  "In[334]:=",ExpressionUUID->"6349be32-0685-3a47-b30a-1e13d86b3ad8"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{"beta", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], "2"]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"4", "+", 
     RowBox[{
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"beta", "+", 
         RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"], " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", "b", "-", 
        RowBox[{"2", " ", "theta"}]}], ")"}]}], "-", 
     RowBox[{"8", " ", "theta"}], "-", 
     RowBox[{"4", " ", "beta", " ", 
      RowBox[{"(", 
       RowBox[{"2", "+", "b", "+", 
        RowBox[{"2", " ", "m"}], "-", 
        RowBox[{"2", " ", "theta"}], "-", 
        RowBox[{"4", " ", "m", " ", "theta"}]}], ")"}]}]}], ")"}]}], 
  RowBox[{"4", " ", "beta", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "beta", "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "+", "beta", "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "beta"}], ")"}], " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.931228854354542*^9, 3.931228934376339*^9, 
  3.9312289723501797`*^9, 3.9312290469680443`*^9, 3.9312348764518433`*^9, 
  3.9312349527882385`*^9, 3.931235488159645*^9, 3.931237638554556*^9, 
  3.9312398803678265`*^9},
 CellLabel->
  "Out[334]=",ExpressionUUID->"95aa2c1f-9743-fa4a-85e3-04b3f1b26f2d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", " ", 
  RowBox[{"Determine", " ", "derivative", " ", "wrt", " ", "to", " ", "b"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.9312290583268185`*^9, 3.931229068194191*^9}},
 CellLabel->
  "In[335]:=",ExpressionUUID->"a51e8a55-f450-d744-964d-532734927743"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"DbenefitsAfterLleads", "[", 
   RowBox[{"m_", ",", "beta_", ",", "b_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"D", "[", 
   RowBox[{
    RowBox[{"benefitsAfterLleads", "[", 
     RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], ",", "b"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.931228989840971*^9, 3.931229036520916*^9}},
 CellLabel->
  "In[336]:=",ExpressionUUID->"d2864736-d8fd-e647-8501-e2bf7fa297c9"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{"beta", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], "2"]}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "4"}], " ", "beta"}], "+", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"beta", "+", 
        RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"]}], ")"}]}], 
  RowBox[{"4", " ", "beta", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "2"}], "+", "beta", "+", 
     RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "3"}], "+", "beta", "+", 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"1", "+", "beta"}], ")"}], " ", "m"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{{3.931229037122322*^9, 3.931229047008583*^9}, 
   3.93123487648312*^9, 3.931234952819443*^9, 3.9312354881936636`*^9, 
   3.931237638585762*^9, 3.9312398803971214`*^9},
 CellLabel->
  "Out[336]=",ExpressionUUID->"8796ca86-3d65-5e4b-8900-2b520db2e9af"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
   "Show", " ", "that", " ", "this", " ", "derivative", " ", "is", " ", 
    "positive"}], ",", " ", 
   RowBox[{
    RowBox[{"i", ".", "e", ".", " ", "better"}], " ", "b", " ", "make", " ", 
    "it", " ", "more", " ", "profitable"}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.931228890567087*^9, 3.931228897875496*^9}, 
   3.931228948332676*^9, {3.931229072717064*^9, 3.931229099514828*^9}},
 CellLabel->
  "In[337]:=",ExpressionUUID->"6d9a6747-72a5-cb45-a6cd-0c1bbf059b90"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Reduce", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"DbenefitsAfterLleads", "[", 
     RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], "<", "0"}], "&&",
    " ", 
   RowBox[{"0", "<", "beta", "<", "1"}], "&&", 
   RowBox[{"0", "<", "m", "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "-", "beta"}], ")"}], "\[GreaterEqual]", " ", 
    RowBox[{"2", " ", "m", " ", "beta"}]}], "&&", " ", 
   RowBox[{
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}], "<", 
    RowBox[{"1", "/", "2"}]}], " ", "&&", " ", 
   RowBox[{"0", "<", "b", "<", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "&&", " ", 
   RowBox[{"theta", ">", 
    RowBox[{"overlineTheta", "[", 
     RowBox[{"m", ",", "beta", ",", "b"}], "]"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.9312291017360287`*^9, 3.931229156066002*^9}, {
  3.931235046676377*^9, 3.931235059373621*^9}},
 CellLabel->
  "In[338]:=",ExpressionUUID->"26197ab9-aaf2-f442-8715-a46598e9bdcf"],

Cell[BoxData["False"], "Output",
 CellChangeTimes->{{3.931229140968151*^9, 3.931229158821923*^9}, 
   3.931234876579769*^9, 3.9312349529288273`*^9, 3.9312354882929153`*^9, 
   3.9312376386646137`*^9, 3.93123988047834*^9},
 CellLabel->
  "Out[338]=",ExpressionUUID->"61036a92-cf6d-ea40-8e5a-18447e749352"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Now", " ", "there", " ", "are", " ", "two", " ", "potential", " ", 
     RowBox[{"cutoffs", ":", " ", 
      RowBox[{"Either", " ", "benefitsAfterLleades"}]}]}], "=", 
    RowBox[{
     RowBox[{"alphaP", " ", "or", " ", "sRmax"}], "=", 
     RowBox[{
      RowBox[{"-", "1."}], " ", "We", " ", "determine", " ", 
      RowBox[{"both", ".", " ", "The"}], " ", "max", " ", "of", " ", "them", 
      " ", "is", " ", "bcheck"}]}]}], " ", "*)"}], " ", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.931229170405529*^9, 3.931229240580015*^9}, {
  3.931229350876766*^9, 3.9312293622992935`*^9}},
 CellLabel->
  "In[339]:=",ExpressionUUID->"eeb0b58b-02ca-1645-abd2-f0970736948a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"bCheck1", "[", 
   RowBox[{"m_", ",", "beta_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"b", "/.", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"sRmax", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], "==", 
        RowBox[{"-", "m"}]}], ",", "b"}], "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9312292429901695`*^9, 3.931229313865572*^9}, {
   3.931229390928274*^9, 3.931229400967993*^9}, 3.931229632495577*^9, 
   3.9312348536811085`*^9},
 CellLabel->
  "In[340]:=",ExpressionUUID->"afe3eb58-64db-d144-bf08-a6b549849c8d"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"8", " ", "beta", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "m"}], ")"}]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"], " ", "theta"}]}], 
  RowBox[{"beta", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{"beta", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], "2"]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{
  3.931229273632061*^9, {3.9312293073876953`*^9, 3.931229314212826*^9}, {
   3.931229397643*^9, 3.931229405085075*^9}, 3.931229635216827*^9, 
   3.931234876721022*^9, 3.931234953053797*^9, 3.931235488426203*^9, 
   3.9312376388364487`*^9, 3.931239880619587*^9},
 CellLabel->
  "Out[340]=",ExpressionUUID->"4aa82805-4908-4744-a550-ac5bd6b0dcd1"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"bCheck2", "[", 
   RowBox[{"m_", ",", "beta_", ",", "theta_"}], "]"}], "=", 
  RowBox[{"b", "/.", 
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"benefitsAfterLleads", "[", 
         RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}], "==", 
        "0"}], ",", "b"}], "]"}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.9312292928780823`*^9, 3.931229335433178*^9}, {
   3.931229393729345*^9, 3.9312294035845203`*^9}, 3.931229631207702*^9},
 CellLabel->
  "In[341]:=",ExpressionUUID->"cce5c63e-cb23-7643-a30c-b6990022b6ce"],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{"-", "4"}], "+", 
   RowBox[{"8", " ", "beta", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "m"}], ")"}]}], "-", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"]}], "+", 
   RowBox[{"2", " ", 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "2"}], "+", "beta", "+", 
       RowBox[{"2", " ", "beta", " ", "m"}]}], ")"}], "2"], " ", "theta"}]}], 
  RowBox[{"beta", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "4"}], "+", 
     RowBox[{"beta", " ", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"2", " ", "m"}]}], ")"}], "2"]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.931229344135481*^9, 3.9312294058553333`*^9, 
  3.931229636997654*^9, 3.931234876752262*^9, 3.9312349531006336`*^9, 
  3.931235488463049*^9, 3.9312376388676605`*^9, 3.931239880635214*^9},
 CellLabel->
  "Out[341]=",ExpressionUUID->"ab3566f4-28d5-6740-bb61-b90db6c63437"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"Sanity", " ", 
    RowBox[{"check", ":", " ", 
     RowBox[{"They", " ", "should", " ", "coincide"}]}]}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"bCheck1", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}], "-", 
    RowBox[{"bCheck2", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.931229365327994*^9, 3.931229383456167*^9}, {
  3.93123547100086*^9, 3.931235472332599*^9}},
 CellLabel->
  "In[342]:=",ExpressionUUID->"cbd6eb26-4e96-d44c-9c86-e3236d4ad4e8"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.931229386518923*^9, 3.93122940673686*^9}, 
   3.931234876783516*^9, 3.9312349531318703`*^9, 3.931235488476612*^9, 
   3.9312376388676605`*^9, 3.931239880650837*^9},
 CellLabel->
  "Out[342]=",ExpressionUUID->"a24796f2-383a-554f-bab7-a148524c80e7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{"SANITY", " ", "CHECK"}], " ", "*)"}], "\[IndentingNewLine]", "\n", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
     "The", " ", "bHat", " ", "should", " ", "coincide", " ", "with", " ", 
      "wPrOptimalContractprevious"}], "==", 
     RowBox[{"alphaP", " ", "for", " ", "sR"}]}], "=", "m"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"b", "/.", " ", 
      RowBox[{
       RowBox[{"FullSimplify", "[", 
        RowBox[{"Solve", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"With", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"sR", "=", "m"}], "}"}], ",", 
             RowBox[{"wPrOptimalContractprevious", "[", 
              RowBox[{"m", ",", "beta", ",", "b", ",", "theta", ",", "sR"}], 
              "]"}]}], "]"}], "==", 
           RowBox[{"alphaP", "[", 
            RowBox[{"m", ",", "beta", ",", "b", ",", "theta"}], "]"}]}], ",", 
          "b"}], "]"}], "]"}], "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ")"}], "-", 
    RowBox[{"bHat", "[", 
     RowBox[{"m", ",", "beta", ",", "theta"}], "]"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.931235434367994*^9, 3.931235438800585*^9}, {
  3.931235905950224*^9, 3.931235906432575*^9}, {3.9312376169864807`*^9, 
  3.9312376257969437`*^9}, {3.9312398540865555`*^9, 3.9312398724056244`*^9}},
 CellLabel->
  "In[343]:=",ExpressionUUID->"c89f9ca5-c99d-b14f-8825-de9e478baae5"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.93123548884264*^9, 3.9312376392039433`*^9, 
  3.93123988079146*^9},
 CellLabel->
  "Out[343]=",ExpressionUUID->"c6d1cdd4-c32c-2841-9250-acdf8e77b494"]
}, Open  ]]
},
WindowSize->{949, 472.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
DockedCells->{},
FrontEndVersion->"14.0 para Microsoft Windows (64-bit) (December 12, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"6398e500-8217-7446-a94a-2fb45996aebe"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 11968, 326, 934, "Input",ExpressionUUID->"64cebf9d-073f-ea41-974b-1ddd3dccac32"],
Cell[12551, 350, 1363, 26, 51, "Output",ExpressionUUID->"0916a365-369c-f84c-a1f1-58eac780d0ed"],
Cell[13917, 378, 1394, 28, 51, "Output",ExpressionUUID->"58057322-7ffa-144a-886b-c50c2e3c7cb7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15348, 411, 3060, 73, 228, "Input",ExpressionUUID->"ca6461fe-061f-4f49-8ffb-81af2720f723"],
Cell[18411, 486, 1066, 31, 51, "Output",ExpressionUUID->"d7c2cc5d-ac2a-fd47-9737-e9b493ed5cb2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[19514, 522, 2903, 68, 249, "Input",ExpressionUUID->"eab85a57-9569-1f4e-94eb-352e40a3b810"],
Cell[22420, 592, 1927, 47, 51, "Output",ExpressionUUID->"0ba3794b-d907-fe43-b417-49ae0457bcf1"],
Cell[24350, 641, 1582, 34, 48, "Output",ExpressionUUID->"d359e8a4-e221-e247-b0b5-57078d0e2e44"]
}, Open  ]],
Cell[CellGroupData[{
Cell[25969, 680, 2281, 55, 190, "Input",ExpressionUUID->"4f0182b2-e5ea-3940-ba6e-3d6d62cb5c68"],
Cell[28253, 737, 847, 23, 48, "Output",ExpressionUUID->"c5c054e7-e7b5-b846-8dca-d0591910ca4c"],
Cell[29103, 762, 968, 26, 51, "Output",ExpressionUUID->"0067137e-3f5a-5f42-bdc3-58ce019bc9c3"]
}, Open  ]],
Cell[CellGroupData[{
Cell[30108, 793, 1916, 46, 192, "Input",ExpressionUUID->"e5ac29a8-ce30-8046-9c03-955dd9124847"],
Cell[32027, 841, 2299, 67, 56, "Output",ExpressionUUID->"5d54ad52-b276-7540-b70c-243a8b380fb1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34363, 913, 513, 12, 43, "Input",ExpressionUUID->"de6c88ff-9f47-8940-9229-97f083c4a356"],
Cell[34879, 927, 1300, 39, 51, "Output",ExpressionUUID->"40d4bbdd-bfe8-4e46-8fb0-1c1ca1957f8d"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36216, 971, 1208, 32, 97, "Input",ExpressionUUID->"0151050e-8d33-a541-a321-ec295f773c38"],
Cell[37427, 1005, 2477, 76, 76, "Output",ExpressionUUID->"751ea761-b6b3-9343-ba1b-04397f9377f0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39941, 1086, 564, 13, 43, "Input",ExpressionUUID->"e4a61d79-9b58-a648-85af-535953062f39"],
Cell[40508, 1101, 1503, 44, 55, "Output",ExpressionUUID->"919e3852-9303-9e4a-880c-8a00a9f7d5c9"]
}, Open  ]],
Cell[42026, 1148, 902, 15, 67, "Input",ExpressionUUID->"51c0619f-915b-8344-9002-0dabe6e261c9"],
Cell[CellGroupData[{
Cell[42953, 1167, 2537, 76, 130, "Input",ExpressionUUID->"bb546f80-c989-8645-b489-3008a735fe36"],
Cell[45493, 1245, 681, 17, 55, "Output",ExpressionUUID->"f19cfda2-cf89-f249-bdc4-49ceeeacf7fe"],
Cell[46177, 1264, 1254, 37, 53, "Output",ExpressionUUID->"a688520c-72f8-f54b-8870-88906b72782e"]
}, Open  ]],
Cell[CellGroupData[{
Cell[47468, 1306, 1278, 30, 64, "Input",ExpressionUUID->"18436303-a3c1-4647-bf2e-879d6a05dd8f"],
Cell[48749, 1338, 426, 7, 32, "Output",ExpressionUUID->"a135fd3f-32f9-3540-b05a-f6574619765c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[49212, 1350, 1572, 34, 64, "Input",ExpressionUUID->"26e445ec-8308-b342-803c-fc4d6f05cf4a"],
Cell[50787, 1386, 567, 9, 32, "Output",ExpressionUUID->"1aa8df99-a844-4848-885b-8c40c6ef2e8d"]
}, Open  ]],
Cell[51369, 1398, 479, 10, 28, "Input",ExpressionUUID->"fb49ce9c-5e32-2f49-af95-e271ecd4fca8"],
Cell[CellGroupData[{
Cell[51873, 1412, 1473, 36, 83, "Input",ExpressionUUID->"e1ea0fb7-6317-d04e-9130-318750ff1fe6"],
Cell[53349, 1450, 398, 6, 32, "Output",ExpressionUUID->"1564ab5e-0636-8941-a019-abbe16bcf487"]
}, Open  ]],
Cell[53762, 1459, 802, 18, 67, "Input",ExpressionUUID->"e84f6539-2386-454d-aba1-a84de497276f"],
Cell[CellGroupData[{
Cell[54589, 1481, 736, 18, 43, "Input",ExpressionUUID->"c4b19602-2ba0-8741-8480-76122103c312"],
Cell[55328, 1501, 489, 8, 32, "Output",ExpressionUUID->"e849971e-9bc5-9544-9227-049c1498fc06"]
}, Open  ]],
Cell[55832, 1512, 873, 21, 48, "Input",ExpressionUUID->"9c91a5ac-e5ca-7d4d-9ab8-79f8986cce6d"],
Cell[CellGroupData[{
Cell[56730, 1537, 2759, 70, 227, "Input",ExpressionUUID->"ffb1ff9d-7af3-e94d-9f0b-11ca55cae1b0"],
Cell[59492, 1609, 1947, 49, 53, "Output",ExpressionUUID->"9be280b5-3343-9e46-8cbf-3401a27ce291"],
Cell[61442, 1660, 1562, 43, 51, "Output",ExpressionUUID->"811dbfba-8077-0046-bd74-aa0a06f0da67"],
Cell[63007, 1705, 536, 8, 32, "Output",ExpressionUUID->"3b2d1126-8228-bd44-9dc9-b6b6bfa2fa00"]
}, Open  ]],
Cell[63558, 1716, 805, 20, 48, "Input",ExpressionUUID->"6a7b293b-1269-0a4e-baf3-f8031d2c33b8"],
Cell[CellGroupData[{
Cell[64388, 1740, 770, 18, 62, "Input",ExpressionUUID->"6349be32-0685-3a47-b30a-1e13d86b3ad8"],
Cell[65161, 1760, 1533, 44, 55, "Output",ExpressionUUID->"95aa2c1f-9743-fa4a-85e3-04b3f1b26f2d"]
}, Open  ]],
Cell[66709, 1807, 283, 6, 28, "Input",ExpressionUUID->"a51e8a55-f450-d744-964d-532734927743"],
Cell[CellGroupData[{
Cell[67017, 1817, 457, 11, 43, "Input",ExpressionUUID->"d2864736-d8fd-e647-8501-e2bf7fa297c9"],
Cell[67477, 1830, 1127, 34, 55, "Output",ExpressionUUID->"8796ca86-3d65-5e4b-8900-2b520db2e9af"]
}, Open  ]],
Cell[68619, 1867, 529, 12, 28, "Input",ExpressionUUID->"6d9a6747-72a5-cb45-a6cd-0c1bbf059b90"],
Cell[CellGroupData[{
Cell[69173, 1883, 1083, 27, 64, "Input",ExpressionUUID->"26197ab9-aaf2-f442-8715-a46598e9bdcf"],
Cell[70259, 1912, 304, 5, 32, "Output",ExpressionUUID->"61036a92-cf6d-ea40-8e5a-18447e749352"]
}, Open  ]],
Cell[70578, 1920, 760, 18, 67, "Input",ExpressionUUID->"eeb0b58b-02ca-1645-abd2-f0970736948a"],
Cell[CellGroupData[{
Cell[71363, 1942, 707, 18, 43, "Input",ExpressionUUID->"afe3eb58-64db-d144-bf08-a6b549849c8d"],
Cell[72073, 1962, 1144, 33, 56, "Output",ExpressionUUID->"4aa82805-4908-4744-a550-ac5bd6b0dcd1"]
}, Open  ]],
Cell[CellGroupData[{
Cell[73254, 2000, 680, 17, 43, "Input",ExpressionUUID->"cce5c63e-cb23-7643-a30c-b6990022b6ce"],
Cell[73937, 2019, 1070, 31, 56, "Output",ExpressionUUID->"ab3566f4-28d5-6740-bb61-b90db6c63437"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75044, 2055, 632, 16, 62, "Input",ExpressionUUID->"cbd6eb26-4e96-d44c-9c86-e3236d4ad4e8"],
Cell[75679, 2073, 298, 5, 32, "Output",ExpressionUUID->"a24796f2-383a-554f-bab7-a148524c80e7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[76014, 2083, 1524, 38, 175, "Input",ExpressionUUID->"c89f9ca5-c99d-b14f-8825-de9e478baae5"],
Cell[77541, 2123, 200, 4, 54, "Output",ExpressionUUID->"c6d1cdd4-c32c-2841-9250-acdf8e77b494"]
}, Open  ]]
}
]
*)

